CFPRIME MDGEDA                                                          MDGEDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE MDGEDA(ICODE,IEBK)                                     MDGEDA      3
CD                                                                      MDGEDA      4
CD    THIS ROUTINE ENABLES USER TO MODIFY THE DATA OF A                 MDGEDA      5
CD    GENERATOR AND ITS CONTROL DEVICE INTERACTIVELY.                   MDGEDA      6
CD                                                                      MDGEDA      7
      INCLUDE 'PARX.INS'                                                MDGEDA      8
      INCLUDE 'CNLSTA.INS'                                              MDGEDA      9
      INCLUDE 'CNB0.INS'                                                MDGEDA     10
      INCLUDE 'CNB1.INS'                                                MDGEDA     11
      INCLUDE 'CNB3.INS'                                                MDGEDA     12
      INCLUDE 'CNB4.INS'                                                MDGEDA     13
      INCLUDE 'CNB8.INS'                                                MDGEDA     14
      INCLUDE 'CNB19.INS'                                               MDGEDA     15
      INCLUDE 'CNPT.INS'                                                MDGEDA     16
      INCLUDE 'CNUNIT.INS'                                              MDGEDA     17
      INCLUDE 'CNLUN.INS'                                               MDGEDA     18
      INCLUDE 'CNPBK.INS'                                               MDGEDA     19
      INCLUDE 'CNIMPR.INS'                                              MDGEDA     20
      INCLUDE 'CNIPTR.INS'                                              MDGEDA     21
      INCLUDE 'CNMDAT.INS'                                              MDGEDA     22
      INCLUDE 'CNPARX.INS'                                              MDGEDA     23
      INCLUDE 'CNREN.INS'                                               MDGEDA     24
      INCLUDE 'CNUDM.INS'                                               MDGEDA     25
      INCLUDE 'CNMNEW.INS'                                              MDGEDA     26
      INCLUDE 'CNLFDA.INS'                                              MDGEDA     27
      INCLUDE 'CNNNEW.INS'                                              MDGEDA     28
      INCLUDE 'CNFLAG.INS'                                              MDGEDA     29
      INCLUDE 'CNSTP.INS'                                               MDGEDA     30
      INCLUDE 'CNULTC.INS'                                              MDGEDA     31
      INCLUDE 'UDCA.INS'                                                MDGEDA     32
      INCLUDE 'CNJPT.INS'                                               MDGEDA     33
      INCLUDE 'CNJDAT.INS'                                              MDGEDA     34
      INCLUDE 'CNTMDA.INS'                                              MDGEDA     35
      INCLUDE 'CNTGED.INS'                                              MDGEDA     36
      INCLUDE 'CNMSG.INS'                                               MDGEDA     37
C                                                                       MDGEDA     38
      INTEGER MEX(50),MSTAB(50),MGOV(50)                                MDGEDA     39
      CHARACTER*80 EMSG,STRING                                          MDGEDA     40
      CHARACTER*40 LCARD(2)                                             MDGEDA     41
      CHARACTER BNAME1*12,SUBPMT*7,ICKT*2,MCKT*2,BRSNAM*12              MDGEDA     42
C                                                                       MDGEDA     43
      LDEB=.FALSE.                                                      MDGEDA     44
C                                                                       MDGEDA     45
      DATA SUBPMT/' MDYNDA'/                                            MDGEDA     46
C                                                                       MDGEDA     47
      IGVN=0                                                            MDGEDA     48
      NPBNOI=0                                                          MDGEDA     49
      IMORE=0                                                           MDGEDA     50
      JG1=0                                                             MDGEDA     51
      ICTY=0                                                            MDGEDA     52
C                                                                       MDGEDA     53
 100  CONTINUE                                                          MDGEDA     54
      WRITE(LOUT,4400)                                                  MDGEDA     55
      MSG(1)='SELECT AN ITEM BY THE NUMBER (Q TO QUIT):'                MDGEDA     56
      CALL REDLIN(LOUT,LIN,JERR,41,MSG(1),SUBPMT,'TB1',STRING           MDGEDA     57
     *,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                            MDGEDA     58
      IF(JERR.LT.0)THEN                                                 MDGEDA     59
      IF(PLAYBA)CALL PSTOP                                              MDGEDA     60
      GOTO 100                                                          MDGEDA     61
      ENDIF                                                             MDGEDA     62
      IF(KLAYER.LT.0) RETURN                                            MDGEDA     63
      IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') RETURN               MDGEDA     64
      READ(STRING,*,IOSTAT=IOS) NTYPE                                   MDGEDA     65
      IF (IOS.NE.0.OR.NTYPE.LE.0.OR.NTYPE.GT.12)THEN                    MDGEDA     66
      GOTO 100                                                          MDGEDA     67
      ENDIF                                                             MDGEDA     68
      IF(NTYPE.GT.9) GOTO 450                                           MDGEDA     69
C    :........................................................:         MDGEDA     70
C                                                                       MDGEDA     71
 300  CONTINUE                                                          MDGEDA     72
C                                                                       MDGEDA     73
      ICODE=0                                                           MDGEDA     74
      CALL BUSCID(ICODE,NLF,BNAME1,ICKT,KLFO)                           MDGEDA     75
      IF(ICODE.LT.0)THEN                                                MDGEDA     76
      IF(PLAYBA)CALL PSTOP                                              MDGEDA     77
      GOTO 300                                                          MDGEDA     78
      ENDIF                                                             MDGEDA     79
      IF(ICODE.GT.0)THEN                                                MDGEDA     80
      IF(PLAYBA)CALL PSTOP                                              MDGEDA     81
      GOTO 100                                                          MDGEDA     82
      ENDIF                                                             MDGEDA     83
C                                                                       MDGEDA     84
      IF(NLF.NE.0) NPBNOI=MNEW(NLF)                                     MDGEDA     85
      IF(NLF.EQ.0.OR.NPBNOI.EQ.0)THEN                                   MDGEDA     86
         WRITE(LOUT,'(A)') ' *** BUS ENTER ERROR'                       MDGEDA     87
         GOTO 300                                                       MDGEDA     88
      ENDIF                                                             MDGEDA     89
C                                                                       MDGEDA     90
C   DETAILED GENERATOR MATCH GENERATOR ID                               MDGEDA     91
C                                                                       MDGEDA     92
      JG=NTHGEN(NPBNOI+1)                                               MDGEDA     93
      KN=NPBNOI*8                                                       MDGEDA     94
 350  IF(JG.EQ.0) GOTO 550                                              MDGEDA     95
C                                                                       MDGEDA     96
 400  CONTINUE                                                          MDGEDA     97
      MCKT=GENID(JG)(3:4)                                               MDGEDA     98
      CALL LOGEN(ICKT,MCKT,JFOUND)                                      MDGEDA     99
      IF(NLF.EQ.NGEBUS(JG).AND.JFOUND.EQ.1) GOTO 450                    MDGEDA    100
      JG1=JG                                                            MDGEDA    101
      JG=NEXGEN(JG1)                                                    MDGEDA    102
      GOTO 350                                                          MDGEDA    103
C                                                                       MDGEDA    104
 450  CONTINUE                                                          MDGEDA    105
      IMORE=0                                                           MDGEDA    106
C                                                                       MDGEDA    107
C                                                                       MDGEDA    108
C              1    2    3    4    5    6    7    8    9                MDGEDA    109
      GOTO (650 ,1150,2250,2900,3300,3100,3000,8000,3600,               MDGEDA    110
C             10   11   12                                              MDGEDA    111
     &      9000,9020,9040) NTYPE                                       MDGEDA    112
C                                                                       MDGEDA    113
 500  CONTINUE                                                          MDGEDA    114
      IF(JG.EQ.NTHGEN(NPBNOI+1))THEN                                    MDGEDA    115
         NTHGEN(NPBNOI+1)=NEXGEN(JG)                                    MDGEDA    116
      ELSE                                                              MDGEDA    117
         NEXGEN(JG1)=NEXGEN(JG)                                         MDGEDA    118
      ENDIF                                                             MDGEDA    119
      NEXGEN(JG)=0                                                      MDGEDA    120
      IF(ITEM.EQ.98) GOTO 100                                           MDGEDA    121
      GOTO 600                                                          MDGEDA    122
C                                                                       MDGEDA    123
 550  CONTINUE                                                          MDGEDA    124
      WRITE(LOUT,'(A)')                                                 MDGEDA    125
     * '  SPECIFIED GENERATOR IS NOT IN THE SYSTEM.'                    MDGEDA    126
      MSG(1)=' DO YOU WANT TO ADD ONE? (Y/N) '                          MDGEDA    127
      CALL PMTRED(LOUT,LIN,IOERR,60,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA    128
      IF(RECORD) WRITE(IREC,'(A)') STRING                               MDGEDA    129
      IF(IOERR.LT.0)THEN                                                MDGEDA    130
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    131
      GOTO 550                                                          MDGEDA    132
      ENDIF                                                             MDGEDA    133
C                                                                       MDGEDA    134
      IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100             MDGEDA    135
      IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y') THEN                MDGEDA    136
         IF(PLAYBA)CALL PSTOP                                           MDGEDA    137
         GOTO 550                                                       MDGEDA    138
      ENDIF                                                             MDGEDA    139
C                                                                       MDGEDA    140
 600  CONTINUE                                                          MDGEDA    141
      CALL EDGEDA(JG,NLF,ICKT,NPBNOI,IQUIT)                             MDGEDA    142
      IF(IQUIT.NE.0) GOTO 100                                           MDGEDA    143
C                                                                       MDGEDA    144
 650  CONTINUE                                                          MDGEDA    145
      IGENS=IGENDA(1,JG)                                                MDGEDA    146
C      MASSN=IGENDA(8,JG)                                               MDGEDA    147
      JGEN=JGENDA(1,JG)                                                 MDGEDA    148
      IOFFS=-4                                                          MDGEDA    149
      LTSET=5                                                           MDGEDA    150
      MSIEM=4                                                           MDGEDA    151
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA    152
     *                ,GENID(JG)(3:4)                                   MDGEDA    153
      IF (IPQFA(1,JG).LT.0) IPQFA(1,JG)=0                               MDGEDA    154
      IF (IPQFA(2,JG).LT.0) IPQFA(2,JG)=0                               MDGEDA    155
C                                                                       MDGEDA    156
C             0    1    2    3    4    5    6    7    8    9   10       MDGEDA    157
      GOTO (660, 661, 662, 663, 660, 661, 662, 663, 660, 661, 662       MDGEDA    158
C                                                                       MDGEDA    159
C            11   12   13   14                                          MDGEDA    160
     *     ,663, 660, 661, 662) IGENS+1                                 MDGEDA    161
C                                                                       MDGEDA    162
 660  CONTINUE                                                          MDGEDA    163
      IF(IGENS.EQ.12) THEN                                              MDGEDA    164
        WRITE(LOUT,4864) IGENS                                          MDGEDA    165
      ELSE                                                              MDGEDA    166
        WRITE(LOUT,4860) IGENS                                          MDGEDA    167
      ENDIF                                                             MDGEDA    168
      WRITE(LOUT,4870) IGENDA(3,JG), IPQFA(1,JG),IPQFA(2,JG)            MDGEDA    169
      WRITE(LOUT,5250) (TDDAT(JGEN+LI),LI=1,6)                          MDGEDA    170
      WRITE(LOUT,4900) (TDDAT(JGEN+LI),LI=7,18)                         MDGEDA    171
               XPD1=TDDAT(JGEN+11)                                      MDGEDA    172
      LI=18                                                             MDGEDA    173
      GOTO 669                                                          MDGEDA    174
 661  CONTINUE                                                          MDGEDA    175
      IF(IGENS.EQ.13) THEN                                              MDGEDA    176
        WRITE(LOUT,4865) IGENS                                          MDGEDA    177
      ELSE                                                              MDGEDA    178
        WRITE(LOUT,4861) IGENS                                          MDGEDA    179
      ENDIF                                                             MDGEDA    180
      WRITE(LOUT,4870) IGENDA(3,JG), IPQFA(1,JG),IPQFA(2,JG)            MDGEDA    181
      WRITE(LOUT,5250) (TDDAT(JGEN+LI),LI=1,6)                          MDGEDA    182
      WRITE(LOUT,4950) (TDDAT(JGEN+LI),LI=7,22)                         MDGEDA    183
      LI=22                                                             MDGEDA    184
      GOTO 668                                                          MDGEDA    185
 662  CONTINUE                                                          MDGEDA    186
      IF(IGENS.EQ.14) THEN                                              MDGEDA    187
        WRITE(LOUT,4866) IGENS                                          MDGEDA    188
      ELSE                                                              MDGEDA    189
        WRITE(LOUT,4862) IGENS                                          MDGEDA    190
      ENDIF                                                             MDGEDA    191
      WRITE(LOUT,4870) IGENDA(3,JG), IPQFA(1,JG),IPQFA(2,JG)            MDGEDA    192
      WRITE(LOUT,5250) (TDDAT(JGEN+LI),LI=1,6)                          MDGEDA    193
      WRITE(LOUT,5000) (TDDAT(JGEN+LI),LI=7,24)                         MDGEDA    194
      LI=24                                                             MDGEDA    195
 668  VALUE=TDDAT(JGEN+7)+TDDAT(JGEN+11)                                MDGEDA    196
      IF(VALUE.EQ.0) THEN                                               MDGEDA    197
         XPD1=0.                                                        MDGEDA    198
      ELSE                                                              MDGEDA    199
         XPD1=TDDAT(JGEN+7)+TDDAT(JGEN+9)-TDDAT(JGEN+7)*                MDGEDA    200
     &        TDDAT(JGEN+7)/VALUE                                       MDGEDA    201
      ENDIF                                                             MDGEDA    202
 669           HM=TDDAT(JGEN+1)                                         MDGEDA    203
               DAMP=TDDAT(JGEN+2)                                       MDGEDA    204
               BMVA=TDDAT(JGEN+4)                                       MDGEDA    205
               BVR=TDDAT(JGEN+5)                                        MDGEDA    206
               FBASE=TDDAT(JGEN+6)                                      MDGEDA    207
      GOTO 670                                                          MDGEDA    208
 663  CONTINUE                                                          MDGEDA    209
      WRITE(LOUT,4863) IGENS                                            MDGEDA    210
      WRITE(LOUT,5010) (TDDAT(JGEN+LI),LI=1,7)                          MDGEDA    211
      LI=7                                                              MDGEDA    212
C                                                                       MDGEDA    213
C    SATURATION PARAMETERS                                              MDGEDA    214
C                                                                       MDGEDA    215
 670  ISATX=IGENDA(3,JG)                                                MDGEDA    216
C                                                                       MDGEDA    217
      IF(ISATX.GE.1.AND.ISATX.LE.3)THEN                                 MDGEDA    218
         WRITE(LOUT,5050) (LK,LK=LI+5,LI+9),                            MDGEDA    219
     *          (TDDAT(JGEN+LK),LK=LI+1,LI+5)                           MDGEDA    220
         LI=LI+6                                                        MDGEDA    221
      ELSEIF(ISATX.GE.10.AND.ISATX.LE.30)THEN                           MDGEDA    222
         WRITE(LOUT,5100) (LK,LK=LI+5,LI+10),                           MDGEDA    223
     *          (TDDAT(JGEN+LK),LK=LI+1,LI+6)                           MDGEDA    224
         LI=LI+6                                                        MDGEDA    225
      ENDIF                                                             MDGEDA    226
      IF(ISATX.EQ.3)THEN                                                MDGEDA    227
         WRITE(LOUT,5150) (LK,LK=LI+5,LI+9),                            MDGEDA    228
     *        (TDDAT(JGEN+LK),LK=LI+1,LI+5)                             MDGEDA    229
         LI=LI+6                                                        MDGEDA    230
      ELSEIF(ISATX.EQ.30)THEN                                           MDGEDA    231
         WRITE(LOUT,5200) (LK,LK=LI+5,LI+10),                           MDGEDA    232
     *        (TDDAT(JGEN+LK),LK=LI+1,LI+6)                             MDGEDA    233
         LI=LI+6                                                        MDGEDA    234
      ELSE                                                              MDGEDA    235
         WRITE(LOUT,'(/)')                                              MDGEDA    236
      ENDIF                                                             MDGEDA    237
      IF(ICTY.EQ.0) THEN                                                MDGEDA    238
        DO 671 I=1,LI                                                   MDGEDA    239
 671     TDDAT(JTLN+I)=TDDAT(JGEN+I)                                    MDGEDA    240
        JGENDA(1,JG)=JTLN                                               MDGEDA    241
        JGEN=JGENDA(1,JG)                                               MDGEDA    242
        JTLN=JTLN+36                                                    MDGEDA    243
        ICTY=1                                                          MDGEDA    244
      ENDIF                                                             MDGEDA    245
      IF(ISATX.GE.1.AND.ISATX.LE.3)THEN                                 MDGEDA    246
        LI=LI+10                                                        MDGEDA    247
      ELSE                                                              MDGEDA    248
        LI=LI+11                                                        MDGEDA    249
      ENDIF                                                             MDGEDA    250
C     IF(ISATX.NE.30.AND.ISATX.NE.3) WRITE(LOUT,'(//)')                 MDGEDA    251
      WRITE(LOUT,6110)                                                  MDGEDA    252
      ASSIGN 650  TO I950                                               MDGEDA    253
      ASSIGN 500  TO I960                                               MDGEDA    254
      ASSIGN 600 TO I1000                                               MDGEDA    255
C                                                                       MDGEDA    256
 700  CONTINUE                                                          MDGEDA    257
      IF(LI.NE.78)THEN                                                  MDGEDA    258
         MSG(1)='ENTER ITEM# TO MODIFY OR SELECT THE ITEM; Q> QUIT'     MDGEDA    259
      ELSE                                                              MDGEDA    260
         MSG(1)=                                                        MDGEDA    261
     *'ENTER ITEM# TO MODIFY OR SELECT THE ITEM; M> MORE DATA Q> QUIT'  MDGEDA    262
      ENDIF                                                             MDGEDA    263
      STRING=' '                                                        MDGEDA    264
      CALL REDLIN(LOUT,LIN,JERR,74,MSG(1),SUBPMT,'XXX',STRING           MDGEDA    265
     *,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                            MDGEDA    266
      IF(JERR.LT.0)THEN                                                 MDGEDA    267
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    268
      GOTO I950                                                         MDGEDA    269
      ENDIF                                                             MDGEDA    270
      IF(KLAYER.LT.0) GOTO 100                                          MDGEDA    271
      IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN                  MDGEDA    272
C         IF(NTYPE.EQ.1.AND.TDDAT(JGEN+5).GT.1.0)THEN                   MDGEDA    273
C            WRITE(LOUT,'(/,A,/,A,/)') ' WARNING: BVR OF THIS MACHINE'  MDGEDA    274
C     *         //' IS GREATER THAN 1.0, MAKE SURE THAT THE RIGHT'      MDGEDA    275
C     *        ,'          MACHINE HAS BEEN PICKED UP.'                 MDGEDA    276
C            MSG(1)='DO YOU STILL WANT TO QUIT? (Y/N)'                  MDGEDA    277
C            CALL REDLIN(LOUT,LIN,JERR,32,MSG(1),SUBPMT,'XXX',STRING    MDGEDA    278
C     *        ,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                   MDGEDA    279
C            IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 650      MDGEDA    280
C         ENDIF                                                         MDGEDA    281
         IF(NTYPE.EQ.1) ICTY=0                                          MDGEDA    282
         GOTO 100                                                       MDGEDA    283
      ENDIF                                                             MDGEDA    284
      IF(STRING(1:1).EQ.'M'.OR.STRING(1:1).EQ.'m')THEN                  MDGEDA    285
          IMORE=IMORE+1                                                 MDGEDA    286
          IMORE=MOD(IMORE,2)                                            MDGEDA    287
          GOTO 3750                                                     MDGEDA    288
      ENDIF                                                             MDGEDA    289
      READ(STRING,*,IOSTAT=IOS) ITEM                                    MDGEDA    290
      IF(IOS.NE.0)THEN                                                  MDGEDA    291
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    292
      GOTO I950                                                         MDGEDA    293
      ENDIF                                                             MDGEDA    294
      IF(ITEM.EQ.98) GOTO I960                                          MDGEDA    295
      IF(ITEM.EQ.99) THEN                                               MDGEDA    296
        WRITE(LOUT,5305)                                                MDGEDA    297
          EMSG='DO YOU WANT TO PROCEED? (Y/N)'                          MDGEDA    298
 801  CALL REDLIN(LOUT,LIN,IOERR,30,EMSG,'XX','XXX',STRING,RECORD       MDGEDA    299
     *,IREC,KLAYER,KEND,KREAD,PLAYBA)                                   MDGEDA    300
      IF(IOERR.LT.0)THEN                                                MDGEDA    301
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    302
      GOTO 801                                                          MDGEDA    303
      ENDIF                                                             MDGEDA    304
      IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO I950            MDGEDA    305
      IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y') THEN                MDGEDA    306
          IF(PLAYBA)CALL PSTOP                                          MDGEDA    307
          GOTO 801                                                      MDGEDA    308
      ENDIF                                                             MDGEDA    309
         IQUIT=1                                                        MDGEDA    310
         GOTO I1000                                                     MDGEDA    311
      ENDIF                                                             MDGEDA    312
      IF(ITEM.EQ.97) GOTO 900                                           MDGEDA    313
      EMSG= 'ENTER THE NEW VALUE:'                                      MDGEDA    314
      IF(ITEM.EQ.96.AND.NTYPE.EQ.1)THEN                                 MDGEDA    315
        CALL REDLIN(LOUT,LIN,JERR,41,EMSG,'XX','UDF',STRING,            MDGEDA    316
     &     RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                        MDGEDA    317
        READ(STRING,*,IOSTAT=IOS) I                                     MDGEDA    318
        IF (IOS.EQ.0) IGENDA(3,JG)=INT(I)                               MDGEDA    319
        GOTO I950                                                       MDGEDA    320
      ENDIF                                                             MDGEDA    321
      IF(ITEM.LE.0.OR.ITEM.GT.LI-7.OR.(ITEM.GT.MSIEM                    MDGEDA    322
     &  .AND.ITEM.LT.LTSET)) THEN                                       MDGEDA    323
         KREAD=.TRUE.                                                   MDGEDA    324
         WRITE(LOUT,5300)                                               MDGEDA    325
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA    326
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA    327
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    328
         GOTO I950                                                      MDGEDA    329
      ELSEIF(((NTYPE.EQ.2.OR.NTYPE.EQ.3).AND.ITEM.EQ.1).OR.             MDGEDA    330
     &   (ITEM.EQ.3.AND.NTYPE.EQ.3.AND.ISTABX.EQ.12)) THEN              MDGEDA    331
        CALL BNOVAR(IOS,ITD,BRSNAM,KLFO)                                MDGEDA    332
        IF(IOS.NE.0) GOTO I950                                          MDGEDA    333
        IF(ITD.EQ.0) THEN                                               MDGEDA    334
           WRITE(LOUT,5310)                                             MDGEDA    335
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA    336
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA    337
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    338
        ENDIF                                                           MDGEDA    339
        IF(KLFO.EQ.0) THEN                                              MDGEDA    340
          NPBNOI=MNEW(ITD)                                              MDGEDA    341
          IF(NPBNOI.EQ.0) THEN                                          MDGEDA    342
            ITD=0                                                       MDGEDA    343
            WRITE(LOUT,5310)                                            MDGEDA    344
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA    345
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA    346
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    347
          ENDIF                                                         MDGEDA    348
        ELSE                                                            MDGEDA    349
          CALL CHKBUS(BRSNAM,ITD)                                       MDGEDA    350
          IF (ITD.EQ.0) THEN                                            MDGEDA    351
             WRITE(LOUT,5310)                                           MDGEDA    352
             EMSG= 'PRESS ENTER KEY TO CONTINUE'                        MDGEDA    353
             CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',              MDGEDA    354
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    355
          ENDIF                                                         MDGEDA    356
        ENDIF                                                           MDGEDA    357
        IF(NTYPE.EQ.2) THEN                                             MDGEDA    358
          ITDDAT(JGEN+6)=ITD                                            MDGEDA    359
        ELSEIF (NTYPE.EQ.3) THEN                                        MDGEDA    360
          IF(ITEM.EQ.1) THEN                                            MDGEDA    361
            ITDDAT(JGEN+7)=ITD                                          MDGEDA    362
          ELSEIF(ITEM.EQ.3) THEN                                        MDGEDA    363
            ITDDAT(JGEN+9)=ITD                                          MDGEDA    364
          ENDIF                                                         MDGEDA    365
        ENDIF                                                           MDGEDA    366
        GOTO I950                                                       MDGEDA    367
      ELSEIF(ITEM.GE.1.AND.ITEM.LT.LTSET) THEN                          MDGEDA    368
        CALL REDLIN(LOUT,LIN,JERR,41,EMSG,'XX','UDF',STRING,            MDGEDA    369
     &     RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                        MDGEDA    370
        READ(STRING,*,IOSTAT=IOS) J                                     MDGEDA    371
        IF(NTYPE.EQ.1) THEN                                             MDGEDA    372
           IF(ITEM.EQ.1.AND.J.GE.0.AND.J.LE.14) THEN                    MDGEDA    373
              IGENDA(1,JG)=J                                            MDGEDA    374
              IQUIT=1                                                   MDGEDA    375
              CALL EDGEDA(JG,NLF,ICKT,NPBNOI,IQUIT)                     MDGEDA    376
              IF(J.EQ.3.OR.J.EQ.7.OR.J.EQ.11) THEN                      MDGEDA    377
               JGEN=JGENDA(1,JG)                                        MDGEDA    378
               TDDAT(JGEN+2)=XPD1                                       MDGEDA    379
               TDDAT(JGEN+3)=HM                                         MDGEDA    380
               TDDAT(JGEN+4)=DAMP                                       MDGEDA    381
               TDDAT(JGEN+5)=BMVA                                       MDGEDA    382
               TDDAT(JGEN+6)=BVR                                        MDGEDA    383
               TDDAT(JGEN+7)=FBASE                                      MDGEDA    384
               IGENDA(4,JG)=0                                           MDGEDA    385
               IGENDA(5,JG)=0                                           MDGEDA    386
               IGENDA(6,JG)=0                                           MDGEDA    387
               IGENDA(7,JG)=0                                           MDGEDA    388
               IGENDA(9,JG)=0                                           MDGEDA    389
               IGENDA(12,JG)=0                                          MDGEDA    390
               IGENDA(11,JG)=0                                          MDGEDA    391
              ENDIF                                                     MDGEDA    392
              GOTO I950                                                 MDGEDA    393
           ELSEIF(ITEM.EQ.2.AND.(J.LE.3.OR.J.EQ.10.                     MDGEDA    394
     &       OR.J.EQ.20.OR.J.EQ.30)) THEN                               MDGEDA    395
              IGENDA(3,JG)=J                                            MDGEDA    396
              IF(J.LT.0) J=0                                            MDGEDA    397
           ELSEIF(ITEM.EQ.3) THEN                                       MDGEDA    398
               IPQFA(1,JG)=J                                            MDGEDA    399
           ELSEIF(ITEM.EQ.4) THEN                                       MDGEDA    400
               IPQFA(2,JG)=J                                            MDGEDA    401
           ELSE                                                         MDGEDA    402
               WRITE(LOUT,'(A)') ' *** INVALID NUMBER'                  MDGEDA    403
               EMSG= 'PRESS ENTER KEY TO CONTINUE'                      MDGEDA    404
               CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',            MDGEDA    405
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    406
           ENDIF                                                        MDGEDA    407
           GOTO I950                                                    MDGEDA    408
        ELSEIF(NTYPE.EQ.2.AND.ITEM.LE.MSIEM) THEN                       MDGEDA    409
          IGENDA(12+ITEM,JG)=J                                          MDGEDA    410
        ELSEIF (NTYPE.EQ.3) THEN                                        MDGEDA    411
          IF(ISTABX.EQ.9.AND.ITEM.GT.2) THEN                            MDGEDA    412
            ITDDAT(JGEN+8+ITEM)=J                                       MDGEDA    413
          ELSE                                                          MDGEDA    414
            ITDDAT(JGEN+6+ITEM)=J                                       MDGEDA    415
          ENDIF                                                         MDGEDA    416
        ENDIF                                                           MDGEDA    417
        GOTO I950                                                       MDGEDA    418
      ELSEIF(LI.EQ.78.AND.(ITEM.EQ.70.OR.ITEM.EQ.71))THEN               MDGEDA    419
        I=MOD(ITEM,LI-5)+1                                              MDGEDA    420
        CALL REDLIN(LOUT,LIN,JERR,41,EMSG,'XX','UDF',STRING,            MDGEDA    421
     &     RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                        MDGEDA    422
        READ(STRING,*,IOSTAT=IOS) J                                     MDGEDA    423
        IF (IOS.EQ.0) ITDDAT(JGEN+I)=J                                  MDGEDA    424
      ELSE                                                              MDGEDA    425
        CALL REDLIN(LOUT,LIN,JERR,41,EMSG,'XX','UDF',STRING,            MDGEDA    426
     &     RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                        MDGEDA    427
        READ(STRING,*,IOSTAT=IOS) VALUE                                 MDGEDA    428
        IF (IOS.EQ.0) TDDAT(JGEN+ITEM+IOFFS)=VALUE                      MDGEDA    429
      ENDIF                                                             MDGEDA    430
      GOTO I950                                                         MDGEDA    431
C                                                                       MDGEDA    432
C  RETRIVE DATA FROM DATABANK                                           MDGEDA    433
C                                                                       MDGEDA    434
 900  CONTINUE                                                          MDGEDA    435
      IF(NTYPE.EQ.1)THEN                                                MDGEDA    436
         WRITE(LOUT,'(A)')                                              MDGEDA    437
     *   ' ENTER  ;STATION NAME  ;UID,  MODE#, #_OF_UNITS (Q TO QUIT):' MDGEDA    438
      ELSE                                                              MDGEDA    439
         WRITE(LOUT,'(A)')                                              MDGEDA    440
     *   ' ENTER  ;STATION NAME  ;UID,  MODE# (Q TO QUIT):'             MDGEDA    441
      ENDIF                                                             MDGEDA    442
      CALL REDLIN(LOUT,LIN,IOERR,0,EMSG,SUBPMT,'XXX',STRING,RECORD      MDGEDA    443
     *,IREC,KLAYER,KEND,KREAD,PLAYBA)                                   MDGEDA    444
      IF(IOERR.LT.0)THEN                                                MDGEDA    445
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    446
      GOTO 900                                                          MDGEDA    447
      ENDIF                                                             MDGEDA    448
      IF(STRING(1:2).EQ.'Q '.OR.STRING(1:2).EQ.'q ') GOTO I950          MDGEDA    449
C                                                                       MDGEDA    450
      I1=INDEX(STRING,';')+1                                            MDGEDA    451
      I2=INDEX(STRING(I1:80),';')+I1                                    MDGEDA    452
      IF(I2.EQ.I1)THEN                                                  MDGEDA    453
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    454
      GOTO 900                                                          MDGEDA    455
      ENDIF                                                             MDGEDA    456
      I3=MIN(I2-2,I1+11)                                                MDGEDA    457
      READ(STRING(I1:I3),'(3A4)') JNAME                                 MDGEDA    458
      JUNIT=STRING(I2:I2+1)                                             MDGEDA    459
      READ(STRING(I2+2:80),*,IOSTAT=IOS) IMODE,MUNIT                    MDGEDA    460
      READ(STRING(I2+2:80),*,IOSTAT=IOS) IMODE                          MDGEDA    461
      IF(IOS.NE.0) IMODE=1                                              MDGEDA    462
      LCARD(1)=' '                                                      MDGEDA    463
      LCARD(2)=' '                                                      MDGEDA    464
      MCHTYP=NTYPE+1                                                    MDGEDA    465
      I=IMODE                                                           MDGEDA    466
      IF(NTYPE.EQ.1)THEN                                                MDGEDA    467
         IMODE=IGEN                                                     MDGEDA    468
         IGEN=I                                                         MDGEDA    469
         VRATE=XBASKV(NPBNOI*4)                                         MDGEDA    470
      ELSEIF(NTYPE.EQ.2)THEN                                            MDGEDA    471
         IMODE=IEXX                                                     MDGEDA    472
         IEXX=I                                                         MDGEDA    473
      ELSEIF(NTYPE.EQ.3)THEN                                            MDGEDA    474
         IMODE=ISTABX                                                   MDGEDA    475
         ISTABX=I                                                       MDGEDA    476
      ELSEIF(NTYPE.EQ.9)THEN                                            MDGEDA    477
         IMODE=IGVN                                                     MDGEDA    478
         IGVN=I                                                         MDGEDA    479
      ENDIF                                                             MDGEDA    480
      CALL PDATA(LCARD,MCHTYP,NLF,IVTN,NLFR1,ILNN,IFVN,IUALN,IUX,IUY)   MDGEDA    481
      IF(MCHTYP.EQ.99)THEN                                              MDGEDA    482
         I=IMODE                                                        MDGEDA    483
         IF(NTYPE.EQ.1)THEN                                             MDGEDA    484
            IMODE=IGEN                                                  MDGEDA    485
            IGEN=I                                                      MDGEDA    486
         ELSEIF(NTYPE.EQ.2)THEN                                         MDGEDA    487
            IMODE=IEXX                                                  MDGEDA    488
            IEXX=I                                                      MDGEDA    489
         ELSEIF(NTYPE.EQ.3)THEN                                         MDGEDA    490
            IMODE=ISTABX                                                MDGEDA    491
            ISTABX=I                                                    MDGEDA    492
         ELSEIF(NTYPE.EQ.9)THEN                                         MDGEDA    493
            IMODE=IGVN                                                  MDGEDA    494
            IGVN=I                                                      MDGEDA    495
         ENDIF                                                          MDGEDA    496
      ENDIF                                                             MDGEDA    497
      GOTO I950                                                         MDGEDA    498
C                                                                       MDGEDA    499
C                                                                       MDGEDA    500
C                                                                       MDGEDA    501
C1050 CONTINUE                                                          MDGEDA    502
C     IF(ITEM(J).NE.2) GOTO I950                                        MDGEDA    503
C     I1=INDEX(STRING,';')+1                                            MDGEDA    504
C     IF(I1.EQ.0.OR.I1.GE.80) GOTO I950                                 MDGEDA    505
C     GENID(JG)='  '//STRING(I1:I1+1)                                   MDGEDA    506
C     MSG(1)=' '                                                        MDGEDA    507
C     IF(I1.GE.79) GOTO I950                                            MDGEDA    508
C     MSG(1)=STRING(I1+2:80)                                            MDGEDA    509
C     STRING=MSG(1)                                                     MDGEDA    510
C     GOTO 750                                                          MDGEDA    511
C                                                                       MDGEDA    512
C  EXCITER                                                              MDGEDA    513
C                                                                       MDGEDA    514
 1150 CONTINUE                                                          MDGEDA    515
      IEXX=IGENDA(4,JG)                                                 MDGEDA    516
      NSTAT=1                                                           MDGEDA    517
 1190 IF(IEXX.EQ.50) THEN                                               MDGEDA    518
        IF(NSTAT.EQ.0) THEN                                             MDGEDA    519
          JE=JTLN                                                       MDGEDA    520
        ELSE                                                            MDGEDA    521
          JE=JGENDA(3,JG)                                               MDGEDA    522
        ENDIF                                                           MDGEDA    523
        NUF=1                                                           MDGEDA    524
        CALL MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,JTLN1)                       MDGEDA    525
        IF(NUF.EQ.0) THEN                                               MDGEDA    526
          IGENDA(4,JG)=0                                                MDGEDA    527
        ELSE                                                            MDGEDA    528
          IGENDA(4,JG)=50                                               MDGEDA    529
        ENDIF                                                           MDGEDA    530
        JGENDA(3,JG)=JE                                                 MDGEDA    531
        GOTO 100                                                        MDGEDA    532
      ENDIF                                                             MDGEDA    533
      IF(IEXX.NE.0) GOTO 1300                                           MDGEDA    534
C                                                                       MDGEDA    535
 1200 CONTINUE                                                          MDGEDA    536
      WRITE(LOUT,8800)                                                  MDGEDA    537
      WRITE(LOUT,'(A)')                                                 MDGEDA    538
     *' THERE IS NO EXCITER FOR THE GENERATOR.'                         MDGEDA    539
      MSG(1)='DO YOU WANT TO ADD ONE? (Y/N) '                           MDGEDA    540
      CALL PMTRED(LOUT,LIN,IOERR,60,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA    541
      IF(IOERR.NE.0)THEN                                                MDGEDA    542
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    543
      GOTO 1200                                                         MDGEDA    544
      ENDIF                                                             MDGEDA    545
      IF(RECORD) WRITE(IREC,'(A)') STRING                               MDGEDA    546
      IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100             MDGEDA    547
      IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y')THEN                 MDGEDA    548
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    549
      GOTO 1200                                                         MDGEDA    550
      ENDIF                                                             MDGEDA    551
C                                                                       MDGEDA    552
C  ENTER EXCITER DATA SET                                               MDGEDA    553
C                                                                       MDGEDA    554
 1250 CALL EEXCDA(JG,IEXX,IQUIT)                                        MDGEDA    555
      IF (IEXX.EQ.50) THEN                                              MDGEDA    556
        NSTAT=0                                                         MDGEDA    557
        GOTO 1190                                                       MDGEDA    558
      ENDIF                                                             MDGEDA    559
      IF(IQUIT.NE.0) GOTO 100                                           MDGEDA    560
C                                                                       MDGEDA    561
 1300 JGEN=JGENDA(3,JG)-5                                               MDGEDA    562
      IOFFS=1                                                           MDGEDA    563
      LTSET=6                                                           MDGEDA    564
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA    565
     *             ,GENID(JG)(3:4)                                      MDGEDA    566
      IF(ITDDAT(JGEN+6).EQ.0) THEN                                      MDGEDA    567
        ITDDAT(JGEN+6)=NLF                                              MDGEDA    568
        KR=KN                                                           MDGEDA    569
      ELSE                                                              MDGEDA    570
        NPBNOI=MNEW(ITDDAT(JGEN+6))                                     MDGEDA    571
        KR=NPBNOI*8                                                     MDGEDA    572
      ENDIF                                                             MDGEDA    573
C                                                                       MDGEDA    574
C              1    2    3    4    5    6    7    8    9   10           MDGEDA    575
      GOTO (1350,1400,1450,1500,1550,1600,1650,1700,1750,1800,2200      MDGEDA    576
C                                                                       MDGEDA    577
C                       14   15                                         MDGEDA    578
     *     ,2200,2200,1850,1900,2200,2200,2200,2200,2200,2200,2200      MDGEDA    579
C                                                                       MDGEDA    580
C                                                30   31   32           MDGEDA    581
     *     ,2200,2200,2200,2200,2200,2200,2200,1950,2000,2050,2200      MDGEDA    582
C                                                                       MDGEDA    583
C             34                                                        MDGEDA    584
     *     ,2100) IEXX                                                  MDGEDA    585
C                                                                       MDGEDA    586
      GOTO 2200                                                         MDGEDA    587
C                                                                       MDGEDA    588
 1350 CONTINUE                                                          MDGEDA    589
      WRITE(LOUT,5349) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    590
     *       NAMES(KR),IGENDA(14,JG)                                    MDGEDA    591
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    592
      WRITE(LOUT,5350) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA    593
     *          ,(TDDAT(JGEN+LI),LI=15,25)                              MDGEDA    594
      ELSE                                                              MDGEDA    595
      WRITE(LOUT,5351) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA    596
     *          ,(TDDAT(JGEN+LI),LI=15,25)                              MDGEDA    597
      ENDIF                                                             MDGEDA    598
      MSIEM=2                                                           MDGEDA    599
      LI=31                                                             MDGEDA    600
      GOTO 2150                                                         MDGEDA    601
C                                                                       MDGEDA    602
 1400 CONTINUE                                                          MDGEDA    603
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    604
     *       NAMES(KR)                                                  MDGEDA    605
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    606
      WRITE(LOUT,5400) (TDDAT(JGEN+LI),LI=7,8)                          MDGEDA    607
     *    ,(TDDAT(JGEN+LI),LI=10,13),(TDDAT(JGEN+LI),LI=15,25)          MDGEDA    608
      ELSE                                                              MDGEDA    609
      WRITE(LOUT,5401) (TDDAT(JGEN+LI),LI=7,8)                          MDGEDA    610
     *    ,(TDDAT(JGEN+LI),LI=10,13),(TDDAT(JGEN+LI),LI=15,25)          MDGEDA    611
      ENDIF                                                             MDGEDA    612
      MSIEM=1                                                           MDGEDA    613
      LI=31                                                             MDGEDA    614
      GOTO 2150                                                         MDGEDA    615
C                                                                       MDGEDA    616
 1450 CONTINUE                                                          MDGEDA    617
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    618
     *       NAMES(KR)                                                  MDGEDA    619
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    620
      WRITE(LOUT,5450) (TDDAT(JGEN+LI),LI=7,29)                         MDGEDA    621
     *          ,(TDDAT(JGEN+LI),LI=31,37)                              MDGEDA    622
      ELSE                                                              MDGEDA    623
      WRITE(LOUT,5451) (TDDAT(JGEN+LI),LI=7,29)                         MDGEDA    624
     *          ,(TDDAT(JGEN+LI),LI=31,37)                              MDGEDA    625
      ENDIF                                                             MDGEDA    626
      MSIEM=1                                                           MDGEDA    627
      LI=43                                                             MDGEDA    628
      GOTO 2150                                                         MDGEDA    629
C                                                                       MDGEDA    630
 1500 CONTINUE                                                          MDGEDA    631
      WRITE(LOUT,5349) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    632
     *       NAMES(KR),IGENDA(14,JG)                                    MDGEDA    633
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    634
      WRITE(LOUT,5500) (TDDAT(JGEN+LI),LI=7,33)                         MDGEDA    635
      ELSE                                                              MDGEDA    636
      WRITE(LOUT,5501) (TDDAT(JGEN+LI),LI=7,33)                         MDGEDA    637
      ENDIF                                                             MDGEDA    638
      MSIEM=2                                                           MDGEDA    639
      LI=39                                                             MDGEDA    640
      GOTO 2150                                                         MDGEDA    641
C                                                                       MDGEDA    642
 1550 CONTINUE                                                          MDGEDA    643
      WRITE(LOUT,5549) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    644
     *       NAMES(KR),IGENDA(14,JG),IGENDA(15,JG)                      MDGEDA    645
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    646
      WRITE(LOUT,5550) (TDDAT(JGEN+LI),LI=7,38)                         MDGEDA    647
      ELSE                                                              MDGEDA    648
      WRITE(LOUT,5551) (TDDAT(JGEN+LI),LI=7,38)                         MDGEDA    649
      ENDIF                                                             MDGEDA    650
      MSIEM=3                                                           MDGEDA    651
      LI=44                                                             MDGEDA    652
      GOTO 2150                                                         MDGEDA    653
C                                                                       MDGEDA    654
 1600 CONTINUE                                                          MDGEDA    655
      WRITE(LOUT,5549) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    656
     *       NAMES(KR),IGENDA(14,JG),IGENDA(15,JG)                      MDGEDA    657
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    658
      WRITE(LOUT,5600) (TDDAT(JGEN+LI),LI=7,32)                         MDGEDA    659
      ELSE                                                              MDGEDA    660
      WRITE(LOUT,5601) (TDDAT(JGEN+LI),LI=7,32)                         MDGEDA    661
      ENDIF                                                             MDGEDA    662
      MSIEM=3                                                           MDGEDA    663
      LI=38                                                             MDGEDA    664
      GOTO 2150                                                         MDGEDA    665
C                                                                       MDGEDA    666
 1650 CONTINUE                                                          MDGEDA    667
      WRITE(LOUT,5349) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    668
     *       NAMES(KR),IGENDA(14,JG)                                    MDGEDA    669
      WRITE(LOUT,5650) (TDDAT(JGEN+LI),LI=7,11)                         MDGEDA    670
     *          ,(TDDAT(JGEN+LI),LI=14,18)                              MDGEDA    671
     *          ,(TDDAT(JGEN+LI),LI=20,27)                              MDGEDA    672
      MSIEM=2                                                           MDGEDA    673
      LI=33                                                             MDGEDA    674
      GOTO 2150                                                         MDGEDA    675
C                                                                       MDGEDA    676
 1700 CONTINUE                                                          MDGEDA    677
      WRITE(LOUT,5349) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    678
     *       NAMES(KR),IGENDA(14,JG)                                    MDGEDA    679
      WRITE(LOUT,5700) (TDDAT(JGEN+LI),LI=7,32)                         MDGEDA    680
      MSIEM=2                                                           MDGEDA    681
      LI=38                                                             MDGEDA    682
      GOTO 2150                                                         MDGEDA    683
C                                                                       MDGEDA    684
 1750 LTSET=8                                                           MDGEDA    685
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    686
     *       NAMES(KR)                                                  MDGEDA    687
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    688
      WRITE(LOUT,5750) (TDDAT(JGEN+LI),LI=9,13)                         MDGEDA    689
     *          ,(TDDAT(JGEN+LI),LI=15,16)                              MDGEDA    690
     *          ,(TDDAT(JGEN+LI),LI=19,20)                              MDGEDA    691
     *          ,(TDDAT(JGEN+LI),LI=23,25)                              MDGEDA    692
      ELSE                                                              MDGEDA    693
      WRITE(LOUT,5751) (TDDAT(JGEN+LI),LI=9,13)                         MDGEDA    694
     *          ,(TDDAT(JGEN+LI),LI=15,16)                              MDGEDA    695
     *          ,(TDDAT(JGEN+LI),LI=19,20)                              MDGEDA    696
     *          ,(TDDAT(JGEN+LI),LI=23,25)                              MDGEDA    697
      ENDIF                                                             MDGEDA    698
      MSIEM=1                                                           MDGEDA    699
      LI=31                                                             MDGEDA    700
      GOTO 2150                                                         MDGEDA    701
C                                                                       MDGEDA    702
 1800 CONTINUE                                                          MDGEDA    703
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    704
     *       NAMES(KR)                                                  MDGEDA    705
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    706
      WRITE(LOUT,5800) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA    707
     *          ,(TDDAT(JGEN+LI),LI=15,25)                              MDGEDA    708
      ELSE                                                              MDGEDA    709
      WRITE(LOUT,5801) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA    710
     *          ,(TDDAT(JGEN+LI),LI=15,25)                              MDGEDA    711
      ENDIF                                                             MDGEDA    712
      MSIEM=1                                                           MDGEDA    713
      LI=31                                                             MDGEDA    714
      GOTO 2150                                                         MDGEDA    715
C                                                                       MDGEDA    716
 1850 CONTINUE                                                          MDGEDA    717
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    718
     *       NAMES(KR)                                                  MDGEDA    719
      IF(TDDAT(JGEN+13).EQ.0) THEN                                      MDGEDA    720
      WRITE(LOUT,5850) (TDDAT(JGEN+LI),LI=7,38)                         MDGEDA    721
      ELSE                                                              MDGEDA    722
      WRITE(LOUT,5851) (TDDAT(JGEN+LI),LI=7,38)                         MDGEDA    723
      ENDIF                                                             MDGEDA    724
      MSIEM=1                                                           MDGEDA    725
      LI=44                                                             MDGEDA    726
      GOTO 2150                                                         MDGEDA    727
C                                                                       MDGEDA    728
 1900 CONTINUE                                                          MDGEDA    729
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    730
     *       NAMES(KR)                                                  MDGEDA    731
      WRITE(LOUT,5900) (TDDAT(JGEN+LI),LI=7,10)                         MDGEDA    732
     *          ,(TDDAT(JGEN+LI),LI=13,19)                              MDGEDA    733
     *          ,(TDDAT(JGEN+LI),LI=23,25)                              MDGEDA    734
      MSIEM=1                                                           MDGEDA    735
      LI=31                                                             MDGEDA    736
      GOTO 2150                                                         MDGEDA    737
C                                                                       MDGEDA    738
 1950 CONTINUE                                                          MDGEDA    739
      WRITE(LOUT,5349) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    740
     *       NAMES(KR),IGENDA(14,JG)                                    MDGEDA    741
      WRITE(LOUT,5950) (TDDAT(JGEN+LI),LI=7,21)                         MDGEDA    742
     *          ,(TDDAT(JGEN+LI),LI=23,34)                              MDGEDA    743
      MSIEM=2                                                           MDGEDA    744
      LI=40                                                             MDGEDA    745
      GOTO 2150                                                         MDGEDA    746
C                                                                       MDGEDA    747
 2000 CONTINUE                                                          MDGEDA    748
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    749
     *       NAMES(KR)                                                  MDGEDA    750
      WRITE(LOUT,6000) (TDDAT(JGEN+LI),LI=7,16)                         MDGEDA    751
     *          ,(TDDAT(JGEN+LI),LI=18,21)                              MDGEDA    752
     *          ,(TDDAT(JGEN+LI),LI=23,30)                              MDGEDA    753
      MSIEM=1                                                           MDGEDA    754
      LI=36                                                             MDGEDA    755
      GOTO 2150                                                         MDGEDA    756
C                                                                       MDGEDA    757
 2050 CONTINUE                                                          MDGEDA    758
      WRITE(LOUT,5399) IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),     MDGEDA    759
     *       NAMES(KR)                                                  MDGEDA    760
      WRITE(LOUT,6050) (TDDAT(JGEN+LI),LI=7,21)                         MDGEDA    761
     *          ,(TDDAT(JGEN+LI),LI=23,40)                              MDGEDA    762
      MSIEM=1                                                           MDGEDA    763
      LI=46                                                             MDGEDA    764
      GOTO 2150                                                         MDGEDA    765
C                                                                       MDGEDA    766
 2100 CONTINUE                                                          MDGEDA    767
      WRITE(LOUT,6099)IEXX,ITDDAT(JGEN+6),NAMES(KR-2),NAMES(KR-1),      MDGEDA    768
     *       NAMES(KR),IGENDA(14,JG),IGENDA(15,JG),IGENDA(16,JG)        MDGEDA    769
      WRITE(LOUT,6100) (TDDAT(JGEN+LI),LI=7,21)                         MDGEDA    770
     *          ,(TDDAT(JGEN+LI),LI=23,27)                              MDGEDA    771
      MSIEM=4                                                           MDGEDA    772
      LI=33                                                             MDGEDA    773
 2150 ASSIGN 1150 TO I950                                               MDGEDA    774
      ASSIGN 2200 TO I960                                               MDGEDA    775
      ASSIGN 1250 TO I1000                                              MDGEDA    776
      WRITE(LOUT,6101)                                                  MDGEDA    777
      GOTO 700                                                          MDGEDA    778
 2200 IGENDA(4,JG)=0                                                    MDGEDA    779
      GOTO 100                                                          MDGEDA    780
C                                                                       MDGEDA    781
C -------------------------------                                       MDGEDA    782
C  STABILIZER                                                           MDGEDA    783
C                                                                       MDGEDA    784
 2250 CONTINUE                                                          MDGEDA    785
      ISTABX=IGENDA(5,JG)                                               MDGEDA    786
      NSTAT=1                                                           MDGEDA    787
 2260 IF(ISTABX.EQ.50) THEN                                             MDGEDA    788
        IF(NSTAT.EQ.0) THEN                                             MDGEDA    789
          JE=JTLN                                                       MDGEDA    790
        ELSE                                                            MDGEDA    791
          JE=JGENDA(4,JG)                                               MDGEDA    792
        ENDIF                                                           MDGEDA    793
        NUF=2                                                           MDGEDA    794
        CALL MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,JTLN1)                       MDGEDA    795
        IF(NUF.EQ.0) THEN                                               MDGEDA    796
          IGENDA(5,JG)=0                                                MDGEDA    797
        ELSE                                                            MDGEDA    798
          IGENDA(5,JG)=50                                               MDGEDA    799
        ENDIF                                                           MDGEDA    800
        JGENDA(4,JG)=JE                                                 MDGEDA    801
        GOTO 100                                                        MDGEDA    802
      ENDIF                                                             MDGEDA    803
      IF(ISTABX.NE.0) GOTO 2400                                         MDGEDA    804
C                                                                       MDGEDA    805
 2300 CONTINUE                                                          MDGEDA    806
      IEXX=IGENDA(4,JG)                                                 MDGEDA    807
      IF(IEXX.EQ.0) GOTO 1200                                           MDGEDA    808
      WRITE(LOUT,8800)                                                  MDGEDA    809
      WRITE(LOUT,'(A)')                                                 MDGEDA    810
     *' THERE IS NO STABILIZER FOR THE GENERATOR.'                      MDGEDA    811
      MSG(1)='DO YOU WANT TO ADD ONE? (Y/N) '                           MDGEDA    812
      CALL PMTRED(LOUT,LIN,IOERR,63,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA    813
      IF(IOERR.NE.0)THEN                                                MDGEDA    814
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    815
      GOTO 2300                                                         MDGEDA    816
      ENDIF                                                             MDGEDA    817
      IF(RECORD) WRITE(IREC,'(A)') STRING                               MDGEDA    818
      IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100             MDGEDA    819
      IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y')THEN                 MDGEDA    820
      IF(PLAYBA)CALL PSTOP                                              MDGEDA    821
      GOTO 2300                                                         MDGEDA    822
      ENDIF                                                             MDGEDA    823
C                                                                       MDGEDA    824
C  ENTER STABILIZER DATA SET                                            MDGEDA    825
C                                                                       MDGEDA    826
 2350 CALL ESTBDA(JG,ISTABX,IQUIT)                                      MDGEDA    827
      IF (ISTABX.EQ.50) THEN                                            MDGEDA    828
        NSTAT=0                                                         MDGEDA    829
        GOTO 2260                                                       MDGEDA    830
      ENDIF                                                             MDGEDA    831
      IF(IQUIT.NE.0) GOTO 100                                           MDGEDA    832
C                                                                       MDGEDA    833
 2400 JGEN=JGENDA(4,JG)-6                                               MDGEDA    834
      LTSET=8                                                           MDGEDA    835
      IOFFS=1                                                           MDGEDA    836
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA    837
     *             ,GENID(JG)(3:4)                                      MDGEDA    838
      IF(ITDDAT(JGEN+7).EQ.0) THEN                                      MDGEDA    839
        ITDDAT(JGEN+7)=NLF                                              MDGEDA    840
        KR=KN                                                           MDGEDA    841
      ELSE                                                              MDGEDA    842
        NPBNOI=MNEW(ITDDAT(JGEN+7))                                     MDGEDA    843
        KR=NPBNOI*8                                                     MDGEDA    844
      ENDIF                                                             MDGEDA    845
C                                                                       MDGEDA    846
C              1    2    3    4    5    6    7    8    9   10   11      MDGEDA    847
      GOTO (2450,2500,2500,2450,2500,2500,100 ,2850,2600,2650,2700      MDGEDA    848
C                                                                       MDGEDA    849
C             12                                                        MDGEDA    850
     *     ,2750) ISTABX                                                MDGEDA    851
C                                                                       MDGEDA    852
      GOTO 2850                                                         MDGEDA    853
C                                                                       MDGEDA    854
C  TYPE 1,4 STABILIZER                                                  MDGEDA    855
C                                                                       MDGEDA    856
 2450 CONTINUE                                                          MDGEDA    857
      WRITE(LOUT,6150) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    858
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),                               MDGEDA    859
     * ITDDAT(JGEN+8),(TDDAT(JGEN+LI),LI=9,20)                          MDGEDA    860
      MSIEM=2                                                           MDGEDA    861
      LI=26                                                             MDGEDA    862
      GOTO 2800                                                         MDGEDA    863
C                                                                       MDGEDA    864
C  TYPE 2,3,5,6 STABILIZER                                              MDGEDA    865
C                                                                       MDGEDA    866
 2500 CONTINUE                                                          MDGEDA    867
      WRITE(LOUT,6200) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    868
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),                               MDGEDA    869
     * ITDDAT(JGEN+8),(TDDAT(JGEN+LI),LI=9,28)                          MDGEDA    870
      MSIEM=2                                                           MDGEDA    871
      LI=34                                                             MDGEDA    872
      GOTO 2800                                                         MDGEDA    873
C                                                                       MDGEDA    874
C  TYPE 9 STABILIZER                                                    MDGEDA    875
C                                                                       MDGEDA    876
 2600 CONTINUE                                                          MDGEDA    877
      WRITE(LOUT,6250) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    878
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),ITDDAT(JGEN+8),                MDGEDA    879
     * ITDDAT(JGEN+11),ITDDAT(JGEN+12),(TDDAT(JGEN+LI),LI=13,35)        MDGEDA    880
      MSIEM=6                                                           MDGEDA    881
      LTSET=12                                                          MDGEDA    882
      LI=41                                                             MDGEDA    883
      GOTO 2800                                                         MDGEDA    884
C                                                                       MDGEDA    885
C  TYPE 10 STABILIZER                                                   MDGEDA    886
C                                                                       MDGEDA    887
 2650 CONTINUE                                                          MDGEDA    888
      WRITE(LOUT,6300) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    889
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),                               MDGEDA    890
     * ITDDAT(JGEN+8),(TDDAT(JGEN+LI),LI=9,26)                          MDGEDA    891
      MSIEM=2                                                           MDGEDA    892
      LI=32                                                             MDGEDA    893
      GOTO 2800                                                         MDGEDA    894
C                                                                       MDGEDA    895
C  TYPE 11 STABILIZER                                                   MDGEDA    896
C                                                                       MDGEDA    897
 2700 CONTINUE                                                          MDGEDA    898
      WRITE(LOUT,6350) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    899
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),                               MDGEDA    900
     * ITDDAT(JGEN+8),(TDDAT(JGEN+LI),LI=9,36)                          MDGEDA    901
      MSIEM=2                                                           MDGEDA    902
      LI=42                                                             MDGEDA    903
      GOTO 2800                                                         MDGEDA    904
C                                                                       MDGEDA    905
C  TYPE 12 STABILIZER                                                   MDGEDA    906
C                                                                       MDGEDA    907
 2750 CONTINUE                                                          MDGEDA    908
      IF(ITDDAT(JGEN+9).EQ.0) THEN                                      MDGEDA    909
        ITDDAT(JGEN+9)=NLF                                              MDGEDA    910
        KR2=KN                                                          MDGEDA    911
      ELSE                                                              MDGEDA    912
        NPBNOI=MNEW(ITDDAT(JGEN+9))                                     MDGEDA    913
        KR2=NPBNOI*8                                                    MDGEDA    914
      ENDIF                                                             MDGEDA    915
      WRITE(LOUT,6400) ISTABX,ITDDAT(JGEN+7),                           MDGEDA    916
     * NAMES(KR-2),NAMES(KR-1),NAMES(KR),ITDDAT(JGEN+8),                MDGEDA    917
     * ITDDAT(JGEN+9),NAMES(KR2-2),NAMES(KR2-1),NAMES(KR2),             MDGEDA    918
     * ITDDAT(JGEN+10),(TDDAT(JGEN+LI),LI=11,30)                        MDGEDA    919
      MSIEM=4                                                           MDGEDA    920
      LTSET=10                                                          MDGEDA    921
      LI=36                                                             MDGEDA    922
C                                                                       MDGEDA    923
 2800 ASSIGN 2250 TO I950                                               MDGEDA    924
      ASSIGN 2850 TO I960                                               MDGEDA    925
      ASSIGN 2350 TO I1000                                              MDGEDA    926
      WRITE(LOUT,6102)                                                  MDGEDA    927
      GOTO 700                                                          MDGEDA    928
 2850 IGENDA(5,JG)=0                                                    MDGEDA    929
      GOTO 100                                                          MDGEDA    930
C                                                                       MDGEDA    931
C  CROWBAR                                                              MDGEDA    932
C                                                                       MDGEDA    933
 8000 CONTINUE                                                          MDGEDA    934
      ICBRN=IGENDA(9,JG)                                                MDGEDA    935
      IF(ICBRN.LT.1)THEN                                                MDGEDA    936
         WRITE(LOUT,8800)                                               MDGEDA    937
         WRITE(LOUT,'(A)') ' THERE IS NO CROWBAR FOR THE GENERATOR.'    MDGEDA    938
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA    939
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA    940
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    941
         GOTO 100                                                       MDGEDA    942
      ENDIF                                                             MDGEDA    943
      JGEN=JGENDA(8,JG)-6                                               MDGEDA    944
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA    945
     *                 ,GENID(JG)(3:4)                                  MDGEDA    946
      IF(ICBRN.EQ.2)THEN                                                MDGEDA    947
         WRITE(LOUT,'(/,A,/)') '  CROWBAR TYPE:  1 (OPEN CIRCUIT)'      MDGEDA    948
         LI=12                                                          MDGEDA    949
      ELSEIF(ICBRN.EQ.2)THEN                                            MDGEDA    950
         WRITE(LOUT,'(/,A)') '  CROWBAR TYPE:  2 (CROWBAR)'             MDGEDA    951
         WRITE(LOUT,8100) (TDDAT(JGEN+LI),LI=7,8)                       MDGEDA    952
         LI=14                                                          MDGEDA    953
      ELSE                                                              MDGEDA    954
         WRITE(LOUT,'(/,A)') '  CROWBAR TYPE:  3 (VARISTOR)'            MDGEDA    955
         WRITE(LOUT,8150) (TDDAT(JGEN+LI),LI=7,8),ITDDAT(JGEN+9)        MDGEDA    956
     *                    ,TDDAT(JGEN+10)                               MDGEDA    957
         LI=16                                                          MDGEDA    958
      ENDIF                                                             MDGEDA    959
      ASSIGN 8000 TO I950                                               MDGEDA    960
      ASSIGN 8050 TO I960                                               MDGEDA    961
      ASSIGN 8000 TO I1000                                              MDGEDA    962
      WRITE(LOUT,6103)                                                  MDGEDA    963
      GOTO 700                                                          MDGEDA    964
 8050 IGENDA(9,JG)=0                                                    MDGEDA    965
      GOTO 100                                                          MDGEDA    966
C                                                                       MDGEDA    967
C  STABILIZER TORSIONAL FILTER                                          MDGEDA    968
C                                                                       MDGEDA    969
 2900 CONTINUE                                                          MDGEDA    970
      IFLTN=IGENDA(6,JG)                                                MDGEDA    971
      IF(IFLTN.EQ.0)THEN                                                MDGEDA    972
         WRITE(LOUT,8800)                                               MDGEDA    973
         WRITE(LOUT,'(A)')' THERE IS NO FILTER FOR THE GENERATOR.'      MDGEDA    974
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA    975
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA    976
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA    977
         GOTO 100                                                       MDGEDA    978
      ENDIF                                                             MDGEDA    979
      JGEN=JGENDA(5,JG)-5                                               MDGEDA    980
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA    981
     *                 ,GENID(JG)(3:4)                                  MDGEDA    982
      WRITE(LOUT,6450) (TDDAT(JGEN+LI),LI=6,13)                         MDGEDA    983
      MSIEM=0                                                           MDGEDA    984
      LTSET=6                                                           MDGEDA    985
      LI=20                                                             MDGEDA    986
      ASSIGN 2900 TO I950                                               MDGEDA    987
      ASSIGN 2950 TO I960                                               MDGEDA    988
      ASSIGN 2900 TO I1000                                              MDGEDA    989
      WRITE(LOUT,6104)                                                  MDGEDA    990
      GOTO 700                                                          MDGEDA    991
 2950 IGENDA(6,JG)=0                                                    MDGEDA    992
      GOTO 100                                                          MDGEDA    993
C                                                                       MDGEDA    994
C  TRANSIENT EXCITATION BOOSTER                                         MDGEDA    995
C                                                                       MDGEDA    996
 3000 CONTINUE                                                          MDGEDA    997
      ITEBN=IGENDA(11,JG)                                               MDGEDA    998
      IF(ITEBN.EQ.0) THEN                                               MDGEDA    999
         WRITE(LOUT,8800)                                               MDGEDA   1000
         WRITE(LOUT,'(A)')                                              MDGEDA   1001
     *   ' THERE IS NO TRANSIENT EXCITATION BOOSTER FOR THE GENERATOR.' MDGEDA   1002
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA   1003
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA   1004
     &         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA   1005
         GOTO 100                                                       MDGEDA   1006
      ENDIF                                                             MDGEDA   1007
      JGEN=JGENDA(10,JG)-5                                              MDGEDA   1008
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA   1009
     *                 ,GENID(JG)(3:4)                                  MDGEDA   1010
      WRITE(LOUT,6500) (TDDAT(JGEN+LI),LI=6,9)                          MDGEDA   1011
      IOFFS=1                                                           MDGEDA   1012
      MSIEM=0                                                           MDGEDA   1013
      LTSET=6                                                           MDGEDA   1014
      LI=16                                                             MDGEDA   1015
      ASSIGN 3000 TO I950                                               MDGEDA   1016
      ASSIGN 3050 TO I960                                               MDGEDA   1017
      ASSIGN 3000 TO I1000                                              MDGEDA   1018
      WRITE(LOUT,6105)                                                  MDGEDA   1019
      GOTO 700                                                          MDGEDA   1020
 3050 IGENDA(11,JG)=0                                                   MDGEDA   1021
      GOTO 100                                                          MDGEDA   1022
C                                                                       MDGEDA   1023
C  MAXIMUM EXCITATION CURRENT LIMITER                                   MDGEDA   1024
C                                                                       MDGEDA   1025
 3100 CONTINUE                                                          MDGEDA   1026
      IMXLN=IGENDA(12,JG)                                               MDGEDA   1027
      NSTAT=1                                                           MDGEDA   1028
 3115 IF(IMXLN.EQ.50) THEN                                              MDGEDA   1029
        IF(NSTAT.EQ.0) THEN                                             MDGEDA   1030
          JE=JTLN                                                       MDGEDA   1031
        ELSE                                                            MDGEDA   1032
          JE=JGENDA(11,JG)                                              MDGEDA   1033
        ENDIF                                                           MDGEDA   1034
        NUF=3                                                           MDGEDA   1035
        CALL MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,1)                           MDGEDA   1036
        IF(NUF.EQ.0) THEN                                               MDGEDA   1037
          IGENDA(12,JG)=0                                               MDGEDA   1038
        ELSE                                                            MDGEDA   1039
          IGENDA(12,JG)=50                                              MDGEDA   1040
        ENDIF                                                           MDGEDA   1041
        JGENDA(11,JG)=JE                                                MDGEDA   1042
        GOTO 100                                                        MDGEDA   1043
      ENDIF                                                             MDGEDA   1044
C                                                                       MDGEDA   1045
      IF(IMXLN.EQ.0) THEN                                               MDGEDA   1046
C                                                                       MDGEDA   1047
         WRITE(LOUT,8800)                                               MDGEDA   1048
         WRITE(LOUT,'(A)')                                              MDGEDA   1049
     *' THERE IS NO OVER EXCITATION CURRENT LIMITER FOR THE GENERATOR.' MDGEDA   1050
        MSG(1)='DO YOU WANT TO ADD ONE? (Y/N) '                         MDGEDA   1051
 3120 CALL PMTRED(LOUT,LIN,IOERR,60,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA   1052
         IF(RECORD) WRITE(IREC,'(A)') STRING                            MDGEDA   1053
         IF(IOERR.LT.0)THEN                                             MDGEDA   1054
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1055
         GOTO 3120                                                      MDGEDA   1056
         ENDIF                                                          MDGEDA   1057
C                                                                       MDGEDA   1058
         IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100          MDGEDA   1059
         IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y')THEN              MDGEDA   1060
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1061
         GOTO 3120                                                      MDGEDA   1062
         ENDIF                                                          MDGEDA   1063
C                                                                       MDGEDA   1064
 3150    EMSG='ENTER LIMITER TYPE (1 FOR STANDARD MODEL;'//             MDGEDA   1065
     * '50 FOR USER DEFINED MODEL) Q> QUIT'                             MDGEDA   1066
         CALL PMTRED(LOUT,LIN,IOERR,80,EMSG,'XXX',STRING,KREAD,PLAYBA)  MDGEDA   1067
         IF(IOERR.NE.0)THEN                                             MDGEDA   1068
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1069
         GOTO 3150                                                      MDGEDA   1070
         ENDIF                                                          MDGEDA   1071
         IF(RECORD) WRITE(IREC,'(A)') STRING                            MDGEDA   1072
         IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 100          MDGEDA   1073
         READ(STRING,*,IOSTAT=IOS) IMXLN                                MDGEDA   1074
         IF(IMXLN.NE.1.AND.IMXLN.NE.50) GOTO 3150                       MDGEDA   1075
         IF(IMXLN.EQ.50) THEN                                           MDGEDA   1076
            NSTAT=0                                                     MDGEDA   1077
            GOTO 3115                                                   MDGEDA   1078
         ENDIF                                                          MDGEDA   1079
         DO 3160 I=1,8                                                  MDGEDA   1080
          TDDAT(JTLN+I)=0.                                              MDGEDA   1081
 3160    CONTINUE                                                       MDGEDA   1082
         IGENDA(12,JG)=1                                                MDGEDA   1083
         JGENDA(11,JG)=JTLN                                             MDGEDA   1084
         JTLN=JTLN+8                                                    MDGEDA   1085
      ENDIF                                                             MDGEDA   1086
 3162 IF(IQUIT.EQ.1) THEN                                               MDGEDA   1087
        IF(IUALN.EQ.50) GOTO 3115                                       MDGEDA   1088
        DO 3161 I=1,8                                                   MDGEDA   1089
 3161    TDDAT(JGENDA(11,JG)+I)=0.                                      MDGEDA   1090
        IQUIT=0                                                         MDGEDA   1091
      ENDIF                                                             MDGEDA   1092
      JGEN=JGENDA(11,JG)-6                                              MDGEDA   1093
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA   1094
     *                 ,GENID(JG)(3:4)                                  MDGEDA   1095
      IF(ITDDAT(JGEN+13).GE.0)THEN                                      MDGEDA   1096
         WRITE(LOUT,6600) (TDDAT(JGEN+LI),LI=7,14)                      MDGEDA   1097
      ELSE                                                              MDGEDA   1098
         WRITE(LOUT,6650) (TDDAT(JGEN+LI),LI=7,14)                      MDGEDA   1099
      ENDIF                                                             MDGEDA   1100
      MSIEM=0                                                           MDGEDA   1101
      IOFFS=1                                                           MDGEDA   1102
      LTSET=6                                                           MDGEDA   1103
      LI=20                                                             MDGEDA   1104
      ASSIGN 3100 TO I950                                               MDGEDA   1105
      ASSIGN 3200 TO I960                                               MDGEDA   1106
      ASSIGN 3162 TO I1000                                              MDGEDA   1107
      WRITE(LOUT,6106)                                                  MDGEDA   1108
      GOTO 700                                                          MDGEDA   1109
 3200 IGENDA(12,JG)=0                                                   MDGEDA   1110
      GOTO 100                                                          MDGEDA   1111
C                                                                       MDGEDA   1112
C  UNDER EXCITED CURRENT LIMITER                                        MDGEDA   1113
C                                                                       MDGEDA   1114
 3300 CONTINUE                                                          MDGEDA   1115
      IUALN=IGENDA(7,JG)                                                MDGEDA   1116
      NSTAT=1                                                           MDGEDA   1117
 3305 IF(IUALN.EQ.50) THEN                                              MDGEDA   1118
        IF(NSTAT.EQ.0) THEN                                             MDGEDA   1119
          JE=JTLN                                                       MDGEDA   1120
        ELSE                                                            MDGEDA   1121
          JE=JGENDA(6,JG)                                               MDGEDA   1122
        ENDIF                                                           MDGEDA   1123
        NUF=3                                                           MDGEDA   1124
        CALL MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,0)                           MDGEDA   1125
        IF(NUF.EQ.0) THEN                                               MDGEDA   1126
          IGENDA(7,JG)=0                                                MDGEDA   1127
        ELSE                                                            MDGEDA   1128
          IGENDA(7,JG)=50                                               MDGEDA   1129
        ENDIF                                                           MDGEDA   1130
        JGENDA(6,JG)=JE                                                 MDGEDA   1131
        GOTO 100                                                        MDGEDA   1132
      ENDIF                                                             MDGEDA   1133
      IF(IUALN.EQ.0) THEN                                               MDGEDA   1134
         WRITE(LOUT,8800)                                               MDGEDA   1135
         WRITE(LOUT,'(A)')                                              MDGEDA   1136
     *' THERE IS NO UNDER EXCITATION CURRENT LIMITER FOR THE GENERATOR' MDGEDA   1137
      MSG(1)='DO YOU WANT TO ADD ONE? (Y/N) '                           MDGEDA   1138
 3310 CALL PMTRED(LOUT,LIN,IOERR,60,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA   1139
      IF(RECORD) WRITE(IREC,'(A)') STRING                               MDGEDA   1140
         IF(IOERR.LT.0)THEN                                             MDGEDA   1141
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1142
         GOTO 3310                                                      MDGEDA   1143
         ENDIF                                                          MDGEDA   1144
         IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100          MDGEDA   1145
         IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y')THEN              MDGEDA   1146
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1147
         GOTO 3310                                                      MDGEDA   1148
         ENDIF                                                          MDGEDA   1149
         EMSG='ENTER THE LIMITER TYPE  Q> QUIT'                         MDGEDA   1150
         CALL PMTRED(LOUT,LIN,IOERR,80,EMSG,'XXX',STRING,KREAD,PLAYBA)  MDGEDA   1151
         IF(IOERR.NE.0)THEN                                             MDGEDA   1152
         IF(PLAYBA)CALL PSTOP                                           MDGEDA   1153
         GOTO 3310                                                      MDGEDA   1154
         ENDIF                                                          MDGEDA   1155
         IF(RECORD) WRITE(IREC,'(A)') STRING                            MDGEDA   1156
         IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 100          MDGEDA   1157
         READ(STRING,*,IOSTAT=IOS) IUALN                                MDGEDA   1158
         IF(IUALN.EQ.50) THEN                                           MDGEDA   1159
            NSTAT=0                                                     MDGEDA   1160
            GOTO 3305                                                   MDGEDA   1161
         ENDIF                                                          MDGEDA   1162
         IGENDA(7,JG)=IUALN                                             MDGEDA   1163
         JGENDA(6,JG)=JTLN                                              MDGEDA   1164
         JTLN=JTLN+16                                                   MDGEDA   1165
      ENDIF                                                             MDGEDA   1166
 3302 IF(IQUIT.EQ.1) THEN                                               MDGEDA   1167
        IF(IUALN.EQ.50) GOTO 3305                                       MDGEDA   1168
        DO 3301 I=1,16                                                  MDGEDA   1169
 3301    TDDAT(JGENDA(6,JG)+I)=0.                                       MDGEDA   1170
        IQUIT=0                                                         MDGEDA   1171
      ENDIF                                                             MDGEDA   1172
      JGEN=JGENDA(6,JG)-5                                               MDGEDA   1173
      IOFFS=0                                                           MDGEDA   1174
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA   1175
     *                 ,GENID(JG)(3:4)                                  MDGEDA   1176
C                                                                       MDGEDA   1177
C              1    2    3                                              MDGEDA   1178
      GOTO (3350,3400,3450,3550,3550,3550,3550,3550,3550,3550           MDGEDA   1179
C                                                                       MDGEDA   1180
C             11   12   13                                              MDGEDA   1181
C    *     ,3350,3400,3450) IUALN                                       MDGEDA   1182
C             11   12   13                                              MDGEDA   1183
     *     ,3550,3550,3550) IUALN                                       MDGEDA   1184
C                                                                       MDGEDA   1185
      GOTO 3550                                                         MDGEDA   1186
C                                                                       MDGEDA   1187
 3350 WRITE(LOUT,6700) IUALN,(TDDAT(JGEN+LI),LI=6,12)                   MDGEDA   1188
     *                      ,(TDDAT(JGEN+LI),LI=14,21)                  MDGEDA   1189
      LI=28                                                             MDGEDA   1190
      MSIEM=0                                                           MDGEDA   1191
      LTSET=6                                                           MDGEDA   1192
      GOTO 3500                                                         MDGEDA   1193
C                                                                       MDGEDA   1194
 3400 WRITE(LOUT,6750) IUALN,(TDDAT(JGEN+LI),LI=6,10)                   MDGEDA   1195
     *         ,TDDAT(JGEN+12),(TDDAT(JGEN+LI),LI=14,21)                MDGEDA   1196
      LI=28                                                             MDGEDA   1197
      MSIEM=0                                                           MDGEDA   1198
      LTSET=6                                                           MDGEDA   1199
      GOTO 3500                                                         MDGEDA   1200
C                                                                       MDGEDA   1201
 3450 WRITE(LOUT,6800) IUALN,(TDDAT(JGEN+LI),LI=6,11)                   MDGEDA   1202
     *                      ,(TDDAT(JGEN+LI),LI=14,19)                  MDGEDA   1203
      LI=26                                                             MDGEDA   1204
      MSIEM=0                                                           MDGEDA   1205
      LTSET=6                                                           MDGEDA   1206
C                                                                       MDGEDA   1207
 3500 ASSIGN 3300 TO I950                                               MDGEDA   1208
      ASSIGN 3550 TO I960                                               MDGEDA   1209
      ASSIGN 3302 TO I1000                                              MDGEDA   1210
      WRITE(LOUT,6106)                                                  MDGEDA   1211
      GOTO 700                                                          MDGEDA   1212
 3550 IGENDA(7,JG)=0                                                    MDGEDA   1213
      GOTO 100                                                          MDGEDA   1214
C                                                                       MDGEDA   1215
C --------------------------------------------------------              MDGEDA   1216
C  GOVERNOR                                                             MDGEDA   1217
C                                                                       MDGEDA   1218
 3600 CONTINUE                                                          MDGEDA   1219
      IGVN=IGENDA(2,JG)                                                 MDGEDA   1220
      IF(IGVN.EQ.46) IGVN=0                                             MDGEDA   1221
      NSTAT=1                                                           MDGEDA   1222
 3610 IF(IGVN.EQ.50) THEN                                               MDGEDA   1223
        IF(NSTAT.EQ.0) THEN                                             MDGEDA   1224
          JE=JTLN                                                       MDGEDA   1225
        ELSE                                                            MDGEDA   1226
          JE=JGENDA(2,JG)                                               MDGEDA   1227
        ENDIF                                                           MDGEDA   1228
        NUF=4                                                           MDGEDA   1229
        CALL MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,JTLN1)                       MDGEDA   1230
        IF(NUF.EQ.0) THEN                                               MDGEDA   1231
          IGENDA(2,JG)=0                                                MDGEDA   1232
        ELSE                                                            MDGEDA   1233
          IGENDA(2,JG)=50                                               MDGEDA   1234
        ENDIF                                                           MDGEDA   1235
        JGENDA(2,JG)=JE                                                 MDGEDA   1236
        GOTO 100                                                        MDGEDA   1237
      ENDIF                                                             MDGEDA   1238
      IF(IGVN.NE.0) GOTO 3750                                           MDGEDA   1239
C                                                                       MDGEDA   1240
 3650 CONTINUE                                                          MDGEDA   1241
      WRITE(LOUT,8800)                                                  MDGEDA   1242
      WRITE(LOUT,'(A)')                                                 MDGEDA   1243
     *' THERE IS NO GOVERNOR FOR THE GENERATOR.'                        MDGEDA   1244
      MSG(1)='DO YOU WANT TO ADD ONE? (Y/N)'                            MDGEDA   1245
      CALL PMTRED(LOUT,LIN,IOERR,63,MSG(1),'XXX',STRING,KREAD,PLAYBA)   MDGEDA   1246
      IF(IOERR.NE.0)THEN                                                MDGEDA   1247
      IF(PLAYBA)CALL PSTOP                                              MDGEDA   1248
      GOTO 3650                                                         MDGEDA   1249
      ENDIF                                                             MDGEDA   1250
      IF(RECORD) WRITE(IREC,'(A)') STRING                               MDGEDA   1251
      IF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') GOTO 100             MDGEDA   1252
      IF(STRING(1:1).NE.'Y'.AND.STRING(1:1).NE.'y')THEN                 MDGEDA   1253
      IF(PLAYBA)CALL PSTOP                                              MDGEDA   1254
      GOTO 3650                                                         MDGEDA   1255
      ENDIF                                                             MDGEDA   1256
C                                                                       MDGEDA   1257
C  ENTER GOVERNOR DATA SET                                              MDGEDA   1258
C                                                                       MDGEDA   1259
 3700 CALL EGVNDA(JG,IGVN,IQUIT)                                        MDGEDA   1260
      IF (IGVN.EQ.50) THEN                                              MDGEDA   1261
        NSTAT=0                                                         MDGEDA   1262
        GOTO 3610                                                       MDGEDA   1263
      ENDIF                                                             MDGEDA   1264
      IF(IQUIT.NE.0) GOTO 100                                           MDGEDA   1265
C                                                                       MDGEDA   1266
 3750 JGEN=JGENDA(2,JG)-6                                               MDGEDA   1267
      LTSET=6                                                           MDGEDA   1268
      MSIEM=0                                                           MDGEDA   1269
      IOFFS=1                                                           MDGEDA   1270
      WRITE(LOUT,4850) NLF,NAMES(KN-2),NAMES(KN-1),NAMES(KN)            MDGEDA   1271
     *                 ,GENID(JG)(3:4)                                  MDGEDA   1272
C                                                                       MDGEDA   1273
C             1    2         4    5    6    7    8                      MDGEDA   1274
      GOTO(3800,3800,4350,3900,3950,4000,4050,4100,4350,4350,4350,      MDGEDA   1275
C                                                                       MDGEDA   1276
C                                                    20   21   22       MDGEDA   1277
     *     4350,4350,4350,4350,4350,4350,4350,4350,4150,4200,4250) IGVN MDGEDA   1278
C                                                                       MDGEDA   1279
      GOTO 4350                                                         MDGEDA   1280
C                                                                       MDGEDA   1281
 3800 CONTINUE                                                          MDGEDA   1282
      IF(IMORE.EQ.1) GOTO 3850                                          MDGEDA   1283
      IF(ITDDAT(JGEN+71).NE.0)THEN                                      MDGEDA   1284
         WRITE(LOUT,6850) IGVN,ITDDAT(JGEN+71),ITDDAT(JGEN+72)          MDGEDA   1285
     *           ,(TDDAT(JGEN+LI),LI=23,34),(TDDAT(JGEN+LI),LI=53,59)   MDGEDA   1286
     *           ,(TDDAT(JGEN+LI),LI=61,70)                             MDGEDA   1287
      ELSE                                                              MDGEDA   1288
         WRITE(LOUT,6900) IGVN,ITDDAT(JGEN+71),ITDDAT(JGEN+72)          MDGEDA   1289
     *           ,(TDDAT(JGEN+LI),LI=23,34),(TDDAT(JGEN+LI),LI=53,59)   MDGEDA   1290
     *           ,(TDDAT(JGEN+LI),LI=61,64),(TDDAT(JGEN+LI),LI=69,70)   MDGEDA   1291
      ENDIF                                                             MDGEDA   1292
      LI=78                                                             MDGEDA   1293
      LTSET=22                                                          MDGEDA   1294
      MSIEM=0                                                           MDGEDA   1295
      GOTO 4300                                                         MDGEDA   1296
C                                                                       MDGEDA   1297
 3850 CONTINUE                                                          MDGEDA   1298
      IF(ITDDAT(JGEN+71).NE.0)THEN                                      MDGEDA   1299
         WRITE(LOUT,6950) IGVN,ITDDAT(JGEN+71),ITDDAT(JGEN+72)          MDGEDA   1300
     *           ,(TDDAT(JGEN+LI),LI=35,52)                             MDGEDA   1301
      ELSE                                                              MDGEDA   1302
         WRITE(LOUT,7000) IGVN,ITDDAT(JGEN+71),ITDDAT(JGEN+72)          MDGEDA   1303
     *           ,(TDDAT(JGEN+LI),LI=35,46),(TDDAT(JGEN+LI),LI=51,52)   MDGEDA   1304
      ENDIF                                                             MDGEDA   1305
      IF(ITDDAT(JGEN+72).EQ.0)THEN                                      MDGEDA   1306
         WRITE(LOUT,7150) (TDDAT(JGEN+LI),LI=7,17)                      MDGEDA   1307
      ELSEIF(ITDDAT(JGEN+72).EQ.2)THEN                                  MDGEDA   1308
         WRITE(LOUT,7050) (TDDAT(JGEN+LI),LI=7,22)                      MDGEDA   1309
      ELSE                                                              MDGEDA   1310
         WRITE(LOUT,7100) (TDDAT(JGEN+LI),LI=7,20)                      MDGEDA   1311
      ENDIF                                                             MDGEDA   1312
      LI=78                                                             MDGEDA   1313
      GOTO 4300                                                         MDGEDA   1314
C                                                                       MDGEDA   1315
C  TYPE 4 GOVERNOR                                                      MDGEDA   1316
C                                                                       MDGEDA   1317
 3900 CONTINUE                                                          MDGEDA   1318
      WRITE(LOUT,7200) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA   1319
     *                ,(TDDAT(JGEN+LI),LI=15,21)                        MDGEDA   1320
      LI=27                                                             MDGEDA   1321
      GOTO 4300                                                         MDGEDA   1322
C                                                                       MDGEDA   1323
C  TYPE 5 GOVERNOR                                                      MDGEDA   1324
C                                                                       MDGEDA   1325
 3950 CONTINUE                                                          MDGEDA   1326
      WRITE(LOUT,7250) (TDDAT(JGEN+LI),LI=7,9)                          MDGEDA   1327
      LI=15                                                             MDGEDA   1328
      GOTO 4300                                                         MDGEDA   1329
C                                                                       MDGEDA   1330
C  TYPE 6 GOVERNOR                                                      MDGEDA   1331
C                                                                       MDGEDA   1332
 4000 CONTINUE                                                          MDGEDA   1333
      WRITE(LOUT,7300) (TDDAT(JGEN+LI),LI=7,13)                         MDGEDA   1334
      LI=19                                                             MDGEDA   1335
      GOTO 4300                                                         MDGEDA   1336
C                                                                       MDGEDA   1337
C  TYPE 7 GOVERNOR                                                      MDGEDA   1338
C                                                                       MDGEDA   1339
 4050 CONTINUE                                                          MDGEDA   1340
      WRITE(LOUT,7350) (TDDAT(JGEN+LI),LI=7,16)                         MDGEDA   1341
      LI=22                                                             MDGEDA   1342
      GOTO 4300                                                         MDGEDA   1343
C                                                                       MDGEDA   1344
C  TYPE 8 GOVERNOR                                                      MDGEDA   1345
C                                                                       MDGEDA   1346
 4100 CONTINUE                                                          MDGEDA   1347
      WRITE(LOUT,7400) (TDDAT(JGEN+LI),LI=7,15)                         MDGEDA   1348
      LI=21                                                             MDGEDA   1349
      GOTO 4300                                                         MDGEDA   1350
C                                                                       MDGEDA   1351
C  TYPE 20 GOVERNOR                                                     MDGEDA   1352
C                                                                       MDGEDA   1353
 4150 CONTINUE                                                          MDGEDA   1354
      WRITE(LOUT,7450) (TDDAT(JGEN+LI),LI=7,21)                         MDGEDA   1355
      LI=27                                                             MDGEDA   1356
      GOTO 4300                                                         MDGEDA   1357
C                                                                       MDGEDA   1358
C  TYPE 21 GOVERNOR                                                     MDGEDA   1359
C                                                                       MDGEDA   1360
 4200 CONTINUE                                                          MDGEDA   1361
      WRITE(LOUT,7500) (TDDAT(JGEN+LI),LI=7,17)                         MDGEDA   1362
      LI=23                                                             MDGEDA   1363
      GOTO 4300                                                         MDGEDA   1364
C                                                                       MDGEDA   1365
 4250 CONTINUE                                                          MDGEDA   1366
      WRITE(LOUT,7550) (TDDAT(JGEN+LI),LI=7,17)                         MDGEDA   1367
      LI=23                                                             MDGEDA   1368
C                                                                       MDGEDA   1369
 4300 CONTINUE                                                          MDGEDA   1370
      WRITE(LOUT,6107)                                                  MDGEDA   1371
      ASSIGN 3600 TO I950                                               MDGEDA   1372
      ASSIGN 4350 TO I960                                               MDGEDA   1373
      ASSIGN 3700 TO I1000                                              MDGEDA   1374
      GOTO 700                                                          MDGEDA   1375
 4350 IGENDA(2,JG)=0                                                    MDGEDA   1376
      GOTO 100                                                          MDGEDA   1377
C                                                                       MDGEDA   1378
 9000 CONTINUE                                                          MDGEDA   1379
C                                                                       MDGEDA   1380
      CALL MOVE(0,MEX,MEX,50)                                           MDGEDA   1381
      MEXT=0                                                            MDGEDA   1382
      DO 4500 I=1, JNT                                                  MDGEDA   1383
         IEX=IGENDA(4,I)                                                MDGEDA   1384
         IF (IEX.GT.0) THEN                                             MDGEDA   1385
            MEX(IEX)=MEX(IEX)+1                                         MDGEDA   1386
            MEXT=MEXT+1                                                 MDGEDA   1387
         END IF                                                         MDGEDA   1388
 4500 CONTINUE                                                          MDGEDA   1389
      IF (MEXT.EQ.0) THEN                                               MDGEDA   1390
         WRITE(LOUT,8200)                                               MDGEDA   1391
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA   1392
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA   1393
     *         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA   1394
         GOTO 100                                                       MDGEDA   1395
      END IF                                                            MDGEDA   1396
 4510 CONTINUE                                                          MDGEDA   1397
      WRITE(LOUT,8160) (I,MEX(I),I=1,10),14,MEX(14),15,MEX(15)          MDGEDA   1398
     *                ,30,MEX(30),31,MEX(31),32,MEX(32),34,MEX(34)      MDGEDA   1399
     *                ,50,MEX(50),MEXT                                  MDGEDA   1400
      MSG(1)='SELECT AN EXCITER TYPE BY THE NUMBER '//                  MDGEDA   1401
     *       '(A TO SELECT ALL; Q TO QUIT):'                            MDGEDA   1402
      CALL REDLIN(LOUT,LIN,JERR,66,MSG(1),SUBPMT,'XXX',STRING           MDGEDA   1403
     *,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                            MDGEDA   1404
      IF (JERR.LT.0)THEN                                                MDGEDA   1405
      IF(PLAYBA)CALL PSTOP                                              MDGEDA   1406
      GOTO 4510                                                         MDGEDA   1407
      ENDIF                                                             MDGEDA   1408
      IF (KLAYER.LT.0) RETURN                                           MDGEDA   1409
      IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 100            MDGEDA   1410
      IF (STRING(1:1).EQ.'A'.OR.STRING(1:1).EQ.'a') THEN                MDGEDA   1411
         DO 4520 I=1, JNT                                               MDGEDA   1412
            IGENDA(4,I) = 0                                             MDGEDA   1413
            IGENDA(5,I) = 0                                             MDGEDA   1414
            IGENDA(6,I) = 0                                             MDGEDA   1415
            IGENDA(7,I) = 0                                             MDGEDA   1416
            IGENDA(11,I)= 0                                             MDGEDA   1417
            IGENDA(12,I)= 0                                             MDGEDA   1418
 4520    CONTINUE                                                       MDGEDA   1419
         GOTO 100                                                       MDGEDA   1420
      END IF                                                            MDGEDA   1421
      READ(STRING,*,IOSTAT=IOS) NTYPE                                   MDGEDA   1422
      IF (IOS.NE.0.OR.NTYPE.LE.0.OR.NTYPE.GT.50)THEN                    MDGEDA   1423
      GOTO 4510                                                         MDGEDA   1424
      ENDIF                                                             MDGEDA   1425
      DO 4530 I=1, JNT                                                  MDGEDA   1426
         IEX=IGENDA(4,I)                                                MDGEDA   1427
         IF (IEX.EQ.NTYPE) THEN                                         MDGEDA   1428
            IGENDA(4,I) = 0                                             MDGEDA   1429
            IGENDA(5,I) = 0                                             MDGEDA   1430
            IGENDA(6,I) = 0                                             MDGEDA   1431
            IGENDA(7,I) = 0                                             MDGEDA   1432
            IGENDA(11,I)= 0                                             MDGEDA   1433
            IGENDA(12,I)= 0                                             MDGEDA   1434
         END IF                                                         MDGEDA   1435
 4530 CONTINUE                                                          MDGEDA   1436
      MEXT=MEXT-MEX(NTYPE)                                              MDGEDA   1437
      MEX(NTYPE)=0                                                      MDGEDA   1438
      GOTO 4510                                                         MDGEDA   1439
C                                                                       MDGEDA   1440
 9020 CONTINUE                                                          MDGEDA   1441
C                                                                       MDGEDA   1442
      CALL MOVE(0,MSTAB,MSTAB,50)                                       MDGEDA   1443
      MSTABT=0                                                          MDGEDA   1444
      DO 4550 I=1, JNT                                                  MDGEDA   1445
         ISTAB=IGENDA(5,I)                                              MDGEDA   1446
         IF (ISTAB.GT.0) THEN                                           MDGEDA   1447
            MSTAB(ISTAB)=MSTAB(ISTAB)+1                                 MDGEDA   1448
            MSTABT=MSTABT+1                                             MDGEDA   1449
         END IF                                                         MDGEDA   1450
 4550 CONTINUE                                                          MDGEDA   1451
      IF (MSTABT.EQ.0) THEN                                             MDGEDA   1452
         WRITE(LOUT,8210)                                               MDGEDA   1453
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA   1454
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA   1455
     *         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA   1456
         GOTO 100                                                       MDGEDA   1457
      END IF                                                            MDGEDA   1458
 4560 CONTINUE                                                          MDGEDA   1459
      WRITE(LOUT,8170) (I,MSTAB(I),I=1,7),(I,MSTAB(I),I=9,12)           MDGEDA   1460
     *                ,50,MSTAB(50),MSTABT                              MDGEDA   1461
      MSG(1)='SELECT A STABILIZER TYPE BY THE NUMBER '//                MDGEDA   1462
     *       '(A TO SELECT ALL; Q TO QUIT):'                            MDGEDA   1463
      CALL REDLIN(LOUT,LIN,JERR,68,MSG(1),SUBPMT,'XXX',STRING           MDGEDA   1464
     *,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                            MDGEDA   1465
      IF (JERR.LT.0)THEN                                                MDGEDA   1466
      IF(PLAYBA)CALL PSTOP                                              MDGEDA   1467
      GOTO 4560                                                         MDGEDA   1468
      ENDIF                                                             MDGEDA   1469
      IF (KLAYER.LT.0) RETURN                                           MDGEDA   1470
      IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 100            MDGEDA   1471
      IF (STRING(1:1).EQ.'A'.OR.STRING(1:1).EQ.'a') THEN                MDGEDA   1472
         DO 4570 I=1, JNT                                               MDGEDA   1473
            IGENDA(5,I) = 0                                             MDGEDA   1474
            IGENDA(6,I) = 0                                             MDGEDA   1475
 4570    CONTINUE                                                       MDGEDA   1476
         GOTO 100                                                       MDGEDA   1477
      END IF                                                            MDGEDA   1478
      READ(STRING,*,IOSTAT=IOS) NTYPE                                   MDGEDA   1479
      IF (IOS.NE.0.OR.NTYPE.LE.0.OR.NTYPE.GT.50)THEN                    MDGEDA   1480
      GOTO 4560                                                         MDGEDA   1481
      ENDIF                                                             MDGEDA   1482
      DO 4580 I=1, JNT                                                  MDGEDA   1483
         ISTAB=IGENDA(5,I)                                              MDGEDA   1484
         IF (ISTAB.EQ.NTYPE) THEN                                       MDGEDA   1485
            IGENDA(5,I) = 0                                             MDGEDA   1486
            IGENDA(6,I) = 0                                             MDGEDA   1487
         END IF                                                         MDGEDA   1488
 4580 CONTINUE                                                          MDGEDA   1489
      MSTABT=MSTABT-MSTAB(NTYPE)                                        MDGEDA   1490
      MSTAB(NTYPE)=0                                                    MDGEDA   1491
      GOTO 4560                                                         MDGEDA   1492
C                                                                       MDGEDA   1493
 9040 CONTINUE                                                          MDGEDA   1494
C                                                                       MDGEDA   1495
      CALL MOVE(0,MGOV,MGOV,50)                                         MDGEDA   1496
      MGOVT=0                                                           MDGEDA   1497
      DO 4600 I=1, JNT                                                  MDGEDA   1498
         IGOV=IGENDA(2,I)                                               MDGEDA   1499
         IF (IGOV.GT.0) THEN                                            MDGEDA   1500
            MGOV(IGOV)=MGOV(IGOV)+1                                     MDGEDA   1501
            MGOVT=MGOVT+1                                               MDGEDA   1502
         END IF                                                         MDGEDA   1503
 4600 CONTINUE                                                          MDGEDA   1504
      IF (MGOVT.EQ.0) THEN                                              MDGEDA   1505
         WRITE(LOUT,8220)                                               MDGEDA   1506
         EMSG= 'PRESS ENTER KEY TO CONTINUE'                            MDGEDA   1507
         CALL REDLIN(LOUT,LIN,JERR,36,EMSG,'XX','UDF',                  MDGEDA   1508
     *         STRING,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)             MDGEDA   1509
         GOTO 100                                                       MDGEDA   1510
      END IF                                                            MDGEDA   1511
 4610 CONTINUE                                                          MDGEDA   1512
      WRITE(LOUT,8180) 1,MGOV(1),2,MGOV(2),(I,MGOV(I),I=4,8)            MDGEDA   1513
     *                ,(I,MGOV(I),I=20,22),50,MGOV(50),MGOVT            MDGEDA   1514
      MSG(1)='SELECT A GOVERNOR TYPE BY THE NUMBER '//                  MDGEDA   1515
     *       '(A TO SELECT ALL; Q TO QUIT):'                            MDGEDA   1516
      CALL REDLIN(LOUT,LIN,JERR,66,MSG(1),SUBPMT,'XXX',STRING           MDGEDA   1517
     *,RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                            MDGEDA   1518
      IF (JERR.LT.0)THEN                                                MDGEDA   1519
      IF(PLAYBA)CALL PSTOP                                              MDGEDA   1520
      GOTO 4610                                                         MDGEDA   1521
      ENDIF                                                             MDGEDA   1522
      IF (KLAYER.LT.0) RETURN                                           MDGEDA   1523
      IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 100            MDGEDA   1524
      IF (STRING(1:1).EQ.'A'.OR.STRING(1:1).EQ.'a') THEN                MDGEDA   1525
         DO 4620 I=1, JNT                                               MDGEDA   1526
            IGENDA(2,I) = 0                                             MDGEDA   1527
 4620    CONTINUE                                                       MDGEDA   1528
         GOTO 100                                                       MDGEDA   1529
      END IF                                                            MDGEDA   1530
      READ(STRING,*,IOSTAT=IOS) NTYPE                                   MDGEDA   1531
      IF (IOS.NE.0.OR.NTYPE.LE.0.OR.NTYPE.GT.50)THEN                    MDGEDA   1532
      GOTO 4610                                                         MDGEDA   1533
      ENDIF                                                             MDGEDA   1534
      DO 4630 I=1, JNT                                                  MDGEDA   1535
         IGOV=IGENDA(2,I)                                               MDGEDA   1536
         IF (IGOV.EQ.NTYPE) IGENDA(2,I) = 0                             MDGEDA   1537
 4630 CONTINUE                                                          MDGEDA   1538
      MGOVT=MGOVT-MGOV(NTYPE)                                           MDGEDA   1539
      MGOV(NTYPE)=0                                                     MDGEDA   1540
      GOTO 4610                                                         MDGEDA   1541
C                                                                       MDGEDA   1542
 4400 FORMAT(//,                                                        MDGEDA   1543
     17X,'MODIFICATIONS OF GENERATOR DATA',/,                           MDGEDA   1544
     27X,'-------------------------------',//,                          MDGEDA   1545
     32X,' (1) GENERATOR DATA',/,                                       MDGEDA   1546
     42X,' (2) EXCITER DATA',/,                                         MDGEDA   1547
     52X,' (3) STABILIZER DATA',/,                                      MDGEDA   1548
     62X,' (4) TORSIONAL FILTER DATA',/,                                MDGEDA   1549
     72X,' (5) UNDER EXCITATION CURRENT LIMITER DATA',/,                MDGEDA   1550
     82X,' (6) OVER EXCITATION CURRENT LIMITER DATA',/,                 MDGEDA   1551
     92X,' (7) TRANSIENT EXCITATION BOOSTER DATA',/,                    MDGEDA   1552
     *2X,' (8) CROWBAR DATA',/,                                         MDGEDA   1553
     12X,' (9) GOVERNOR DATA',/,                                        MDGEDA   1554
     22X,'(10) REMOVAL OF GROUPS OF EXCITERS IN THE SYSTEM',/,          MDGEDA   1555
     32X,'(11) REMOVAL OF GROUPS OF STABILIZERS IN THE SYSTEM',/,       MDGEDA   1556
     42X,'(12) REMOVAL OF GROUPS OF GOVERNORS IN THE SYSTEM',/)         MDGEDA   1557
 4850 FORMAT(/////,' GENERATOR BUS NO.: ',I5,'  BUS NAME: ',3A4         MDGEDA   1558
     *,'  GID: ',A2)                                                    MDGEDA   1559
 4860 FORMAT(/,'  1> IGEN ',I2,' : DETAILED MODEL WITH DATA IN',        MDGEDA   1560
     *' IMPEDANCE AND TIME CONSTANT FORM')                              MDGEDA   1561
 4861 FORMAT(/,'  1> IGEN ',I2,' : DETAILED MODEL WITH DATA IN',        MDGEDA   1562
     *' PARK''S FORM WITHOUT CROSS MUTUAL')                             MDGEDA   1563
 4862 FORMAT(/,'  1> IGEN ',I2,' : DETAILED MODEL WITH DATA IN',        MDGEDA   1564
     *' PARK''S FORM WITH CROSS MUTUAL')                                MDGEDA   1565
 4863 FORMAT(/,'  1> IGEN ',I2,' : CLASSICAL MODEL')                    MDGEDA   1566
 4864 FORMAT(/,'  1> IGEN ',I2,' : SYNCHRONOUS MOTOR WITH DATA IN',     MDGEDA   1567
     *' IMPEDANCE AND TIME CONSTANT FORM')                              MDGEDA   1568
 4865 FORMAT(/,'  1> IGEN ',I2,' : SYNCHRONOUS MOTOR WITH DATA IN',     MDGEDA   1569
     *' PARK''S FORM WITHOUT CROSS MUTUAL')                             MDGEDA   1570
 4866 FORMAT(/,'  1> IGEN ',I2,' : SYNCHRONOUS MOTOR WITH DATA IN',     MDGEDA   1571
     *' PARK''S FORM WITH CROSS MUTUAL')                                MDGEDA   1572
 4870 FORMAT(/,'  2> ISATX  3> IPFAX  4> IQFAX',/,8X,I2,2(5X,I5))       MDGEDA   1573
 4900 FORMAT(/,'     11> RA    12> XD    13> XQ    14> XL   15> X''D'   MDGEDA   1574
     *,'   16> X''Q   17> X"D  18> X"Q',/,1X,7F10.4,F9.3,//             MDGEDA   1575
     *,'   19> T''DO  20> T''QO   21> T"DO   22> T"QO',/                MDGEDA   1576
     *,1X,2F10.4,2F11.5)                                                MDGEDA   1577
 4950 FORMAT(/,'    11> XAD   12> XAQ    13> XL    14> RA    15> XF'    MDGEDA   1578
     *,'    16> RF  17> XKQ1 18> RKQ1',/,1X,7F10.4,F9.3,//              MDGEDA   1579
     *,'   19> XKD1  20> RKD1  21> XKQ2  22> RKQ2  23> XKD2  24> RKD2'  MDGEDA   1580
     *,'  25> XKQ3 26> RKQ3',/,1X,7F10.4,F9.3)                          MDGEDA   1581
 5000 FORMAT(/,'    11> XAD   12> XAQ    13> XL    14> RA    15> XF'    MDGEDA   1582
     *,'    16> RF  17> XKQ1 18> RKQ1',/,1X,7F10.4,F9.3,//              MDGEDA   1583
     *,'   19> XKD1  20> RKD1  21> XKQ2  22> RKQ2  23> XKD2  24> RKD2'  MDGEDA   1584
     *,'  25> XKQ3 26> RKQ3',/,1X,7F10.4,F9.3,//                        MDGEDA   1585
     *,'    27> XC1   28> XC2',/,1X,2F10.4)                             MDGEDA   1586
 5010 FORMAT(/,'    5> XTRX    6> X''D     7> HM   8> DAMP   9> BMVA'   MDGEDA   1587
     *,'   10> BVR 11 >FBASE',/,1X,7F10.4)                              MDGEDA   1588
 5050 FORMAT(/,3X,I2,'> ASAT  ',I2,'> BSAT  ',I2                        MDGEDA   1589
     *,'> PSIL  ',I2,'> PSIM    ',I2,'> RS',/,1X,5F10.4)                MDGEDA   1590
 5100 FORMAT(/,3X,I2,'> PSIL  ',I2,'> PSIK  ',I2                        MDGEDA   1591
     *,'> PSIKA  ',I2,'> PSIM  ',I2,'> PSIMA    ',I2,'> RS',/           MDGEDA   1592
     *,1X,2F10.4,F11.5,F10.4,F11.5,F10.4)                               MDGEDA   1593
 5150 FORMAT(/,2X,I2,'> ASATQ ',I2,'> BSATQ ',I2,'> PSILQ ',I2          MDGEDA   1594
     *,'> PSIMQ   ',I2,'> RSQ',/,1X,5F10.4,/)                           MDGEDA   1595
 5200 FORMAT(/,2X,I2,'> PSILQ ',I2,'> PSIKQ ',I2,'> PSIKQA ',I2         MDGEDA   1596
     *,'> PSIMQ ',I2,'> PSIMQA   ',I2,'> RSQ',/,1X,2F10.4,F11.5,F10.4   MDGEDA   1597
     *,F11.5,F10.4,/)                                                   MDGEDA   1598
 5250 FORMAT(/,'      5> HM   6> DAMP   7> CMTL   8> BMVA',             MDGEDA   1599
     *'    9> BVR 10> FBASE',/,1X,6F10.4)                               MDGEDA   1600
 5300 FORMAT(/,' *** SELECTION NOT VALID')                              MDGEDA   1601
 5305 FORMAT(/,' *** WARNING: ALL DATA WILL BE LOST')                   MDGEDA   1602
 5310 FORMAT(/,1X,'*** BUS NUMBER ERROR; DEFAULT VALUE WILL BE USED.')  MDGEDA   1603
 5349 FORMAT(/,'  EXCITER TYPE: ',I2,                                   MDGEDA   1604
     * //,'      1> SENSING BUS      2> LVUEL',/                        MDGEDA   1605
     * ,5X,I5,' [',3A4,']',1X,I4)                                       MDGEDA   1606
 5350 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE      10> AEX' MDGEDA   1607
     *,'     11> BEX    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1608
     *,'     14> KF    15> TF    16> TC    17> TB 18> VRMAX'            MDGEDA   1609
     *,' 19> VRMIN   20> ETV 21>ETMIN',/,1X,7F10.4,F9.3,//              MDGEDA   1610
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1611
 5351 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE  10> SE(1.0)' MDGEDA   1612
     *,' 11> SE(.75)    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1613
     *,'     14> KF    15> TF    16> TC    17> TB 18> VRMAX'            MDGEDA   1614
     *,' 19> VRMIN   20> ETV 21>ETMIN',/,1X,7F10.4,F9.3,//              MDGEDA   1615
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1616
 5399 FORMAT(/,'  EXCITER TYPE: ',I2,                                   MDGEDA   1617
     * //,'      1> SENSING BUS',/,5X,I5,' [',3A4,']')                  MDGEDA   1618
 5400 FORMAT(/,'      6> KA     7> TA               9> TE      10> AEX' MDGEDA   1619
     *,'     11> BEX    12> VSAT',/1X                                   MDGEDA   1620
     *,2F10.4,10X,F10.4,3X,F10.4,2(2X,F10.4),//                         MDGEDA   1621
     *,'     14> KF    15> TF    16> TC    17> TB 18> VRMAX'            MDGEDA   1622
     *,' 19> VRMIN   20> ETV 21>ETMIN',/,1X,7F10.4,F9.3,//              MDGEDA   1623
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1624
 5401 FORMAT(/,'      6> KA     7> TA              9> TE   10> SE(1.0)' MDGEDA   1625
     *,' 11> SE(.75)    12> VSAT',/,1X                                  MDGEDA   1626
     *,2F10.4,10X,F10.4,3X,F10.4,2(2X,F10.4),//                         MDGEDA   1627
     *,'     14> KF    15> TF    16> TC    17> TB 18> VRMAX'            MDGEDA   1628
     *,' 19> VRMIN   20> ETV 21>ETMIN',/,1X,7F10.4,F9.3,//              MDGEDA   1629
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1630
 5450 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE      10> AEX' MDGEDA   1631
     *,'     11> BEX    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1632
     *,'     13> KC    14> KF    15> TF    16> TC   17> TB'             MDGEDA   1633
     *,'  18> VRMAX 19> VRMIN 20>ETMIN',/,1X,7F10.4,F9.3,//             MDGEDA   1634
     *,'     21> TK    22> TR    23> RC    24> XC   25> XDE'            MDGEDA   1635
     *,'  26> X''DE   27> TC1  28> TB1',/,1X,7F10.4,F9.3,//             MDGEDA   1636
     *,'   30> KETL   31> TL1   32> TL2 33> ETLMT  34> VOMX'            MDGEDA   1637
     *,'   35> K21   36> K22',/,1X,7F10.4,/)                            MDGEDA   1638
 5451 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE  10> SE(1.0)' MDGEDA   1639
     *,' 11> SE(.75)    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1640
     *,'     13> KC    14> KF    15> TF    16> TC   17> TB'             MDGEDA   1641
     *,'  18> VRMAX 19> VRMIN 20>ETMIN',/,1X,7F10.4,F9.3,//             MDGEDA   1642
     *,'     21> TK    22> TR    23> RC    24> XC   25> XDE'            MDGEDA   1643
     *,'  26> X''DE   27> TC1  28> TB1',/,1X,7F10.4,F9.3,//             MDGEDA   1644
     *,'   30> KETL   31> TL1   32> TL2 33> ETLMT  34> VOMX'            MDGEDA   1645
     *,'   35> K21   36> K22',/,1X,7F10.4,/)                            MDGEDA   1646
 5549 FORMAT(/,'  EXCITER TYPE: ',I2,                                   MDGEDA   1647
     * //,'      1> SENSING BUS      2> LVUEL            3> LVOEL',/    MDGEDA   1648
     * ,5X,I5,' [',3A4,']',1X,I4,15X,I5)                                MDGEDA   1649
 5500 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE      10> AEX' MDGEDA   1650
     *,'     11> BEX    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1651
     *,'     13> KC    14> KF    15> TF    16> TC   17> TB'             MDGEDA   1652
     *,'  18> VAMAX 19> VAMIN 20>ETMIN',/,1X,7F10.4,F9.3,//             MDGEDA   1653
     *,'     21> KR    22> TR    23> RC    24> XC   25> XDE'            MDGEDA   1654
     *,'  26> X''DE    27> KN 28> EFDN',/,1X,7F10.4,F9.3,//             MDGEDA   1655
     *,'    29> KLN   30> VLN 31>VFEMAX   32> LVF',/,1X,4F10.4,/)       MDGEDA   1656
 5501 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE  10> SE(1.0)' MDGEDA   1657
     *,' 11> SE(.75)    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1658
     *,'     13> KC    14> KF    15> TF    16> TC   17> TB'             MDGEDA   1659
     *,'  18> VAMAX 19> VAMIN 20>ETMIN',/,1X,7F10.4,F9.3,//             MDGEDA   1660
     *,'     21> KR    22> TR    23> RC    24> XC   25> XDE'            MDGEDA   1661
     *,'  26> X''DE    27> KN 28> EFDN',/,1X,7F10.4,F9.3,//             MDGEDA   1662
     *,'    29> KLN   30> VLN 31>VFEMAX   32> LVF',/,1X,4F10.4,/)       MDGEDA   1663
 5550 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1664
     *,'     8> KE     9> TE   10> AEX   11> BEX  12> VSAT   13> KC',/  MDGEDA   1665
     *,1X,7F10.4,F9.3,//,'     14> KF    15> TF    16> TC    17> TB'    MDGEDA   1666
     *,' 18> VRMAX 19> VRMIN 20> ETMIN   21> T6',/,1X,7F10.4,F9.3,//    MDGEDA   1667
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE   27> TC2' MDGEDA   1668
     *,'   28> TB2 29>VAMAX',/,1X,7F10.4,F9.3,//                        MDGEDA   1669
     *,'   30> KETL   31> TL1   32> TL2 33> ETLMT  34> VOMX   35> K21'  MDGEDA   1670
     *,'   36> K22 37>VAMIN',/,1X,7F10.4,F9.3,/)                        MDGEDA   1671
 5551 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1672
     *,'     8> KE    9> TE 10>SE(1.0) 11>SE(.75)  12>VSAT   13> KC',/  MDGEDA   1673
     *,1X,7F10.4,F9.3,//,'     14> KF    15> TF    16> TC    17> TB'    MDGEDA   1674
     *,' 18> VRMAX 19> VRMIN 20> ETMIN   21> T6',/,1X,7F10.4,F9.3,//    MDGEDA   1675
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE   27> TC2' MDGEDA   1676
     *,'   28> TB2 29>VAMAX',/,1X,7F10.4,F9.3,//                        MDGEDA   1677
     *,'   30> KETL   31> TL1'                                          MDGEDA   1678
     *,'   32> TL2 33> ETLMT  34> VOMX   35> K21   36> K22 37>VAMIN',/  MDGEDA   1679
     *,1X,7F10.4,F9.3,/)                                                MDGEDA   1680
 5600 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1681
     *,'     8> KE     9> TE   10> AEX   11> BEX  12> VSAT   13> KC',/  MDGEDA   1682
     *,1X,7F10.4,F9.3,//,'     14> KF    15> TF    16> TC    17> TB'    MDGEDA   1683
     *,' 18> VAMAX 19> VAMIN 20> VRMAX 21>VRMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1684
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE    27> KB' MDGEDA   1685
     *,'    28> KH   29> KL',/,1X,7F10.4,F9.3,//,                       MDGEDA   1686
     *'    30> VLMT  31> VFEMAX'                                        MDGEDA   1687
     *,/,1X,F11.5,F12.5,/)                                              MDGEDA   1688
 5601 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1689
     *,'     8> KE    9> TE 10>SE(1.0) 11>SE(.75)  12>VSAT   13> KC',/  MDGEDA   1690
     *,1X,7F10.4,F9.3,//,'     14> KF    15> TF    16> TC    17> TB'    MDGEDA   1691
     *,' 18> VAMAX 19> VAMIN 20> VRMAX 21>VRMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1692
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE    27> KB' MDGEDA   1693
     *,'    28> KH   29> KL',/,1X,7F10.4,F9.3,//                        MDGEDA   1694
     *,'    30> VLMT  31> VFEMAX'                                       MDGEDA   1695
     *,/,1X,F11.5,F12.5,/)                                              MDGEDA   1696
 5650 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1697
     *,'     8> KE     9> TE   10> LVI',23X,'13> KC',                   MDGEDA   1698
     * /,1X,5F10.4,19X,F10.4,//                                         MDGEDA   1699
     *,'     14> KF    15> TF    16> TC    17> TB',8X                   MDGEDA   1700
     *,' 19> VRMAX 20> VRMIN 21>EFDMAX',/,1X,4F10.4,8X,3F10.4,//        MDGEDA   1701
     *,'     22> TR    23> RC    24> XC    25> KP    26> KI',/          MDGEDA   1702
     *,1X,5F10.4,/)                                                     MDGEDA   1703
 5700 FORMAT(/,'      6> KM     7> TM'                                  MDGEDA   1704
     *,'     8> KA     9> KG 10> VGMAX 11> VIMAX 12> VIMIN   13> KC',/  MDGEDA   1705
     *,1X,7F10.4,F9.3,//,'     14> KF    15> TF    16> TC    17> TB'    MDGEDA   1706
     *,'    18> TA 19> VAMAX 20> VAMIN 21>EFMAX',/,1X,7F10.4,F9.3,//    MDGEDA   1707
     *,'     22> TR    23> RC    24> XC    25> XL    26> KI    27> KP'  MDGEDA   1708
     *,' 28>THETAP 29>VRMAX',/,1X,7F10.4,F9.3,//                        MDGEDA   1709
     *,'  30> VRMIN 31> VBMAX',/                                        MDGEDA   1710
     *,1X,2F10.4,/)                                                     MDGEDA   1711
 5750 FORMAT(/,'                          8> KE     9> TE      10> AEX' MDGEDA   1712
     *,'     11> BEX    12> VSAT',/,21X,2F10.4,3X,F10.4,2(2X,F10.4)//   MDGEDA   1713
     *,'     14> KV   15> TRH',21X,'18> VRMAX 19> VRMIN',/,1X,2F10.4    MDGEDA   1714
     *,20X,2F10.4,//,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)   MDGEDA   1715
 5751 FORMAT(/,'                          8> KE     9> TE  10> SE(1.0)' MDGEDA   1716
     *,' 11> SE(.75)    12> VSAT',/,21X,2F10.4,3X,F10.4,2(2X,F10.4)//   MDGEDA   1717
     *,'     14> KV   15> TRH',21X,'18> VRMAX 19> VRMIN',/,1X,2F10.4    MDGEDA   1718
     *,20X,2F10.4,//,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)   MDGEDA   1719
 5800 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE      10> AEX' MDGEDA   1720
     *,'     11> BEX    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1721
     *,'     14> KF   15> TF1    16> TC    17> TB'                      MDGEDA   1722
     *,'   18> TF3   19> TF2 20> VRMAX 21>VRMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1723
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1724
 5801 FORMAT(/,'      6> KA     7> TA     8> KE     9> TE  10> SE(1.0)' MDGEDA   1725
     *,' 11> SE(.75)    12> VSAT',/,1X,4F10.4,3X,F10.4,2(2X,F10.4),//   MDGEDA   1726
     *,'     14> KF   15> TF1    16> TC    17> TB'                      MDGEDA   1727
     *,'   18> TF3   19> TF2 20> VRMAX 21>VRMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1728
     *,'     22> TR    23> RC    24> XC',/,1X,3F10.4,/)                 MDGEDA   1729
 5850 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1730
     *,'     8> KE     9> TE   10> AEX   11> BEX  12> VSAT   13> KC',/  MDGEDA   1731
     *,1X,7F10.4,F9.3,//,'     14> TJ    15> TH    16> TC    17> TB'    MDGEDA   1732
     *,' 18> VRMAX 19> VRMIN 20> VEMIN   21> TD',/,1X,7F10.4,F9.3,//    MDGEDA   1733
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE   27> KRB' MDGEDA   1734
     *,'   28>TRB 29>VFELIM',/,1X,7F10.4,F9.3,//,'  30> VAMAX 31> VAMIN'MDGEDA   1735
     *,'    32> KH 33> VHMAX 34> VJMAX  35> RAMP  36> RMAX 37> RMIN',/  MDGEDA   1736
     *,1X,7F10.4,F9.3,/)                                                MDGEDA   1737
 5851 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1738
     *,'     8> KE    9> TE 10>SE(1.0) 11>SE(.75)  12>VSAT   13> KC',/  MDGEDA   1739
     *,1X,7F10.4,F9.3,//,'     14> TJ    15> TH    16> TC    17> TB'    MDGEDA   1740
     *,' 18> VRMAX 19> VRMIN 20> VEMIN   21> TD',/,1X,7F10.4,F9.3,//    MDGEDA   1741
     *,'     22> TR    23> RC    24> XC   25> XDE  26> X''DE   27> KRB' MDGEDA   1742
     *,'   28>TRB 29>VFELIM',/,1X,7F10.4,F9.3,//,'  30> VAMAX 31> VAMIN'MDGEDA   1743
     *,'    32> KH 33> VHMAX 34> VJMAX  35> RAMP  36> RMAX 37> RMIN',/  MDGEDA   1744
     *,1X,7F10.4,F9.3,/)                                                MDGEDA   1745
 5900 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1746
     *,'     8> KF     9> TF',21X,'12> TF1   13> TF2',/,1X,4F10.4,18X   MDGEDA   1747
     *,2F10.4,//,'     14> KB 15> VRMAX 16> VRMIN 17> EFDMAX'           MDGEDA   1748
     *,' 18> EFDMIN',/,1X,3F10.4,2F11.5,//,'     22> TR    23> RC'      MDGEDA   1749
     *,'    24> XC',/,1X,3F10.4,/)                                      MDGEDA   1750
 5950 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1751
     *,'     8> TC     9> TB    10> KF    11> TF   12> TF1  13> TF2',/  MDGEDA   1752
     *,1X,7F10.4,F9.3,//,'  14> VRMAX 15> VRMIN   16> ETV   17> KVF'    MDGEDA   1753
     *,' 18> ETMIN  19> KIFL 20> IFLMT',/,1X,7F10.4,//                  MDGEDA   1754
     *,'     22> TR    23> RC    24> XC  25> KETL   26> TL1   27> TL2'  MDGEDA   1755
     *,' 28> ETLMT 29> VOMX',/,1X,7F10.4,F9.3,//,'  30> VSMAX 31> VSMIN'MDGEDA   1756
     *,' 32> VIMAX 33> VIMIN',/,1X,4F10.4,/)                            MDGEDA   1757
 6000 FORMAT(/,'      6> KA  7> VAMAX'                                  MDGEDA   1758
     *,'     8> TC     9> TB 10>PHIMAX 11>PHIMIN 12> VSMAX 13>VSMIN',/  MDGEDA   1759
     *,1X,7F10.4,F9.3,//,'  14> VRMAX 15> VRMIN             17> KVF'    MDGEDA   1760
     *,' 18> ETMIN  19> KIFL 20> IFLMT',/,1X,2F10.4,10X,4F10.4,//       MDGEDA   1761
     *,'     22> TR    23> RC    24> XC  25> KETL   26> TL1   27> TL2'  MDGEDA   1762
     *,' 28> ETLMT 29> VOMX',/,1X,7F10.4,F9.3,/)                        MDGEDA   1763
 6050 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1764
     *,'     8> TC     9> TB    10> KF    11> TF   12> TF1  13> TF2',/  MDGEDA   1765
     *,1X,7F10.4,F9.3,//,'  14> VRMAX 15> VRMIN   16> ETV   17> KVF'    MDGEDA   1766
     *,' 18> ETMIN  19> KIFL 20> IFLMT',/,1X,7F10.4,//                  MDGEDA   1767
     *,'     22> TR    23> RC    24> XC  25> KETL   26> TL1   27> TL2'  MDGEDA   1768
     *,' 28>ETLMT 29>LIMOUT',/,1X,7F10.4,F9.3,//,'  30> VIMAX 31> VIMIN'MDGEDA   1769
     *,' 32> VTMAX 33> VTMIN  34> VOMX  35> VOMN  36> ACON 37> BCON',/  MDGEDA   1770
     *,1X,7F10.4,F9.3,//,'  38> VSMAX 39> VSMIN',/,1X,2F10.4,/)         MDGEDA   1771
 6099 FORMAT(/,'  EXCITER TYPE: ',I2,                                   MDGEDA   1772
     * //,'      1> SENSING BUS      2> LVUEL            3> LVOEL',     MDGEDA   1773
     * '            4> LVS',/,5X,I5,' [',3A4,']',1X,I4,15X,I5,15X,I5)   MDGEDA   1774
 6100 FORMAT(/,'      6> KA     7> TA'                                  MDGEDA   1775
     *,'     8> KF     9> TF 10> VIMAX 11> VIMIN    12> TC   13> TB',/  MDGEDA   1776
     *,1X,7F10.4,F9.3,//,'    14> TC1   15> TB1 16> VAMAX 17> VAMIN'    MDGEDA   1777
     *,' 18> VRMAX 19> VRMIN    20> KC',/,1X,7F10.4,//                  MDGEDA   1778
     *,'     22> TR    23> RC    24> XC   25> KLR   26> ILR',/          MDGEDA   1779
     *,1X,5F10.4,/)                                                     MDGEDA   1780
 6101 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1781
     *' 98> REMOVE THE EXCITER; 99> ENTER NEW DATA',/)                  MDGEDA   1782
 6102 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1783
     *' 98> REMOVE THE STABILIZER; 99> ENTER NEW DATA',/)               MDGEDA   1784
 6103 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1785
     *' 98> REMOVE THE CROWBAR; 99> ENTER NEW DATA',/)                  MDGEDA   1786
 6104 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1787
     *' 98> REMOVE THE FILTER; 99> ENTER NEW DATA',/)                   MDGEDA   1788
 6105 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1789
     *' 98> REMOVE THE BOOSTER; 99> ENTER NEW DATA',/)                  MDGEDA   1790
 6106 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1791
     *' 98> REMOVE THE LIMITER; 99> ENTER NEW DATA',/)                  MDGEDA   1792
 6107 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1793
     *' 98> REMOVE THE GOVERNOR; 99> ENTER NEW DATA',/)                 MDGEDA   1794
 6110 FORMAT(2X,'97> RETRIEVE DATA FROM DATABASE;',                     MDGEDA   1795
     *' 98> REMOVE THE GENERATOR; 99> ENTER NEW DATA',/)                MDGEDA   1796
 6150 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1797
     *'      1> SENSING BUS      2> SENSING TYPE'                       MDGEDA   1798
     *,/5X,I5,' [',3A4,']',1X,I4,//                                     MDGEDA   1799
     *,'      8> KS     9> T5    10> T1    11> T2'                      MDGEDA   1800
     *,'    12> T3    13> T4 14> VSMAX 15>VSMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1801
     *,'     16> TF    17> RC    18> XC  19> PTHR',/,1X,4F10.4,/)       MDGEDA   1802
 6200 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1803
     *'      1> SENSING BUS      2> SENSING TYPE'                       MDGEDA   1804
     *,/5X,I5,' [',3A4,']',1X,I4,//                                     MDGEDA   1805
     *,'      8> KS     9> T5    10> T1    11> T2'                      MDGEDA   1806
     *,'    12> T3    13> T4 14> VSMAX 15>VSMIN',/,1X,7F10.4,F9.3,//    MDGEDA   1807
     *,'     16> TF    17> RC    18> XC  19> PTHR',/,1X,4F10.4,//       MDGEDA   1808
     *,'   20> KANG  21> TANG 22> DWTHR  23> ETHR 24> VS3MX 25> VS3MN'  MDGEDA   1809
     *,' 26>VANGM 27>VANGMX',/,1X,7F10.4,F9.3,/)                        MDGEDA   1810
 6250 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1811
     *'      1> SENSING BUS      2> SENSING TYPE     3> N    ',         MDGEDA   1812
     * '            4> M',/5X,I5,' [',3A4,']',1X,I4,15X,I5,15X,I5,//    MDGEDA   1813
     *,4X,'12> T11   13> T12    14> T1'                                 MDGEDA   1814
     *,'    15> T2    16> T3    17> T4 18> VSMAX 19>VSMIN',/            MDGEDA   1815
     *,1X,7F10.4,F9.3                                                   MDGEDA   1816
     *,//,'    20> KS1    21> T5    22> T6    23> T7   ',               MDGEDA   1817
     * '24> KS2    25> T8    26> T9  27> T10',/,1X,7F10.4,F9.3,//,      MDGEDA   1818
     * '    28> KS3   29> TFD   30> TFG    31> TF'                      MDGEDA   1819
     *,'    32> RC    33> XC  34> PTHR',/,1X,7F10.4,/)                  MDGEDA   1820
 6300 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1821
     *'      1> SENSING BUS      2> SENSING TYPE'                       MDGEDA   1822
     *,/5X,I5,' [',3A4,']',1X,I4,//                                     MDGEDA   1823
     *,'     8> KQS    9> TQS   10> KQV   11> TQV'                      MDGEDA   1824
     *,'    12> TQ  13> T''Q1   14> TQ1',/,1X,7F10.4,//,'   15> T''Q2'  MDGEDA   1825
     *,'   16> TQ2  17> T''Q3   18> TQ3 19> VSMAX 20> VSMIN    21> VC'  MDGEDA   1826
     *,/,1X,7F10.4,//,'     22> TF    23> RC    24> XC  25> PTHR',/     MDGEDA   1827
     *,1X,4F10.4,/)                                                     MDGEDA   1828
 6350 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1829
     *'      1> SENSING BUS      2> SENSING TYPE'                       MDGEDA   1830
     *,/5X,I5,' [',3A4,']',1X,I4,//,                                    MDGEDA   1831
     *'     8> KQS    9> TQS   10> KQV   11> TQV    12> TQ  ',          MDGEDA   1832
     *            '13> T''Q1   14> TQ1 15> T''Q2',/,1X,7F10.4,F9.3,//,  MDGEDA   1833
     *'    16> TQ2  17> T''Q3   18> TQ3 19> VSMAX 20> VSMIN    ',       MDGEDA   1834
     *            '21> VC  22> K''QS    23> K',/,1X,7F10.4,F9.3,//,     MDGEDA   1835
     *'     24> T1    25> T2    26> T3    27> T4   28> DW1   ',         MDGEDA   1836
     *            '29> DW2  30> WDOT   31> TF',/,1X,7F10.4,F9.3,//,     MDGEDA   1837
     *'     32> RC    33> XC 34>TDELAY  35> PTHR',/,1X,4F10.4,/)        MDGEDA   1838
 6400 FORMAT(/,'  STABILIZER TYPE: ',I2,//,                             MDGEDA   1839
     *'      1> SENSING BUS 1   2> SENSING TYPE 1  ',                   MDGEDA   1840
     *'3> SENSING BUS 2   4> SENSING TYPE 2',/,                         MDGEDA   1841
     * 5X,I5,' [',3A4,']',3X,I5,10X,I5,' [',3A4,']',3X,I5,//            MDGEDA   1842
     *,'     10> K1    11> T1    12> K2    13> T2  14> T''Q0   15> TQ0' MDGEDA   1843
     *,'  16> T''Q1  17> TQ1',/,1X,7F10.4,F9.3,//                       MDGEDA   1844
     *,'   18> T''Q2   19> TQ2'                                         MDGEDA   1845
     *,'  20> T''Q3   21> TQ3 22> VSMAX 23> VSMIN',/,1X,6F10.4,//       MDGEDA   1846
     *,'     24> TF    25> RC    26> XC   27> VCU   28> VCL  29> PTHR'  MDGEDA   1847
     *,/,1X,6F10.4,/)                                                   MDGEDA   1848
 6450 FORMAT(/,'  STABILIZER TORSIONAL FILTER TYPE: 1',//,              MDGEDA   1849
     *'      6> T6     7> A5     8> A3     9> A6    10> A4'             MDGEDA   1850
     *,'    11> A1    12> A2   13> A0',/,1X,7F10.4,F9.3,/)              MDGEDA   1851
 6500 FORMAT(/,'  TRANSIENT EXCITATION BOOSTER TYPE: 1',//,             MDGEDA   1852
     *'       6> K     7> T1     8> T2   9> VTHR',/,1X                  MDGEDA   1853
     *,4F10.4,/)                                                        MDGEDA   1854
 6600 FORMAT(/,'  OVER EXCITATION CURRENT LIMITER TYPE: 1',//,          MDGEDA   1855
     *'       6> K     7> TA     8> TB      9> U 10>IFLMAX'             MDGEDA   1856
     *,' 11>IFLMIN    12> T1   13> T2',/,1X,7F10.4,F9.3,/)              MDGEDA   1857
 6650 FORMAT(/,'  OVER EXCITATION CURRENT LIMITER TYPE: 1',//,          MDGEDA   1858
     *'       6> K     7> TA     8> TB      9> U 10>IFLMAX'             MDGEDA   1859
     *,' 11>IFLMIN    12> T1 13> RATE',/,1X,7F10.4,F9.3,/)              MDGEDA   1860
 6700 FORMAT(/,'  UNDER EXCITED CURRENT LIMITER TYPE: ',I2,//           MDGEDA   1861
     *,'      6> K1     7> K2     8> K3     9> K4    10> K5    11> K6'  MDGEDA   1862
     *,'    12> T9',/,1X,7F10.4,//,'     14> T1    15> T2    16> T3'    MDGEDA   1863
     *,'    17> T4    18> T5    19> T6    20> T7   21> T8',/            MDGEDA   1864
     *,1X,7F10.4,F9.3,/)                                                MDGEDA   1865
 6750 FORMAT(/,'  UNDER EXCITED CURRENT LIMITER TYPE: ',I2,//,6X,'6> K1'MDGEDA   1866
     *,'     7> K2     8> K3     9> K4    10> K5    12> T9',/,1X        MDGEDA   1867
     *,6F10.4,//,'     14> T1    15> T2    16> T3    17> T4    18> T5'  MDGEDA   1868
     *,'    19> T6    20> T7   21> T8',/,1X,7F10.4,F9.3,/)              MDGEDA   1869
 6800 FORMAT(/,'  UNDER EXCITED CURRENT LIMITER TYPE: ',I2,//           MDGEDA   1870
     *,'      6> K1     7> K2     8> K3     9> K4    10> K5    11> K6'  MDGEDA   1871
     *,/,1X,6F10.4,//,'     14> T1    15> T2    16> T3'                 MDGEDA   1872
     *,'    17> T4    18> T5    19> T6',/,1X,6F10.4,/)                  MDGEDA   1873
 6850 FORMAT(/,'  GOVERNOR TYPE: ',I2, T33,                             MDGEDA   1874
     * '70> ILN   71> IFV',/,T34,I6,4X,I6,//                            MDGEDA   1875
     *,'   22> THP   23> TRH   24> TIP   25> TLP   26> KBR   27> FHP'   MDGEDA   1876
     *,'  28> FIF',/,1X,7F10.4,//,'   29> PMAX 30> FBRPR    31> KA'     MDGEDA   1877
     *,' 32> PDROP  33> PLMT',/,1X,5F10.4,//,'    52> TC1   53> TC2'    MDGEDA   1878
     *,'   54> TC3   55> TC4   56> TC5   57> LC1   58> LC2',/,1X,7F10.4 MDGEDA   1879
     *,//,'    60> PC1   61> AC1   62> PC2   63> AC2   64> XC1'         MDGEDA   1880
     *,'   65> YC1   66> XC2  67> YC2',/,1X,7F10.4,F9.3,//              MDGEDA   1881
     *,'   68> CDB1  69> CDB2',/,1X,2F10.4,/)                           MDGEDA   1882
 6900 FORMAT(/,'  GOVERNOR TYPE: ',I2, T33,                             MDGEDA   1883
     * '70> ILN   71> IFV',/,T34,I6,4X,I6,//                            MDGEDA   1884
     *,'    22> THP   23> TRH   24> TIP   25> TLP   26> KBR   27> FHP'  MDGEDA   1885
     *,'   28> FIF',/,1X,7F10.4,//,'   29> PMAX 30> FBRPR    31> KA'    MDGEDA   1886
     *,' 32> PDROP  33> PLMT',/,1X,5F10.4,//,'    52> TC1   53> TC2'    MDGEDA   1887
     *,'   54> TC3   55> TC4   56> TC5   57> LC1   58> LC2',/,1X,7F10.4 MDGEDA   1888
     *,//,'    60> PC1   61> AC1   62> PC2   63> AC2  68> CDB1'         MDGEDA   1889
     *,'  69> CDB2',/,1X,6F10.4,/)                                      MDGEDA   1890
 6950 FORMAT(/,'  GOVERNOR TYPE: ',I2, T33,                             MDGEDA   1891
     * '70> ILN   71> IFV',/,T34,I6,4X,I6,//                            MDGEDA   1892
     *,'    34> TI1   35> TI2   36> TI3   37> TI4   38> TI5   39> LI1'  MDGEDA   1893
     *,'   40> LI2 41> IVOB',/,1X,7F10.4,F9.3,//,'    42> PI1   43> AI1'MDGEDA   1894
     *,'   44> PI2   45> AI2   46> XI1   47> YI1   48> XI2  49> YI2',/  MDGEDA   1895
     *,1X,7F10.4,F9.3,//,'  50> CIDB1 51> CIDB2',/,1X,2F10.4,/)         MDGEDA   1896
 7000 FORMAT(/,'  GOVERNOR TYPE: ',I2, T33,                             MDGEDA   1897
     * '70> ILN   71> IFV',/,T34,I6,4X,I6,//                            MDGEDA   1898
     *,'    34> TI1   35> TI2   36> TI3   37> TI4   38> TI5   39> LI1'  MDGEDA   1899
     *,'   40> LI2 41> IVOB',/,1X,7F10.4,F9.3,//,'    42> PI1   43> AI1'MDGEDA   1900
     *,'   44> PI2   45> AI2 50> CIDB1 51> CIDB2',/,1X,6F10.4,/)        MDGEDA   1901
 7050 FORMAT('      6> K1     7> K2     8> V1     9> V2    10> V3'      MDGEDA   1902
     *,'    11> T1    12> T2   13> KR',/,1X,7F10.4,F9.3,//              MDGEDA   1903
     *,'    14> TSR    15> L1    16> L2   17> TF1   18> TF2   19> XFV'  MDGEDA   1904
     *,' 20> TFCV2 21> XFCV',/,1X,7F10.4,F9.3,/)                        MDGEDA   1905
 7100 FORMAT('      6> K1     7> K2     8> V1     9> V2    10> V3'      MDGEDA   1906
     *,'    11> T1    12> T2   13> KR',/,1X,7F10.4,F9.3,//              MDGEDA   1907
     *,'    14> TSR    15> L1    16> L2   17> TF1   18> TF2   19> XFV'  MDGEDA   1908
     *,/,1X,6F10.4,/)                                                   MDGEDA   1909
 7150 FORMAT('      6> K1     7> K2     8> V1     9> V2    10> V3'      MDGEDA   1910
     *,'    11> T1    12> T2   13> KR',/,1X,7F10.4,F9.3,//              MDGEDA   1911
     *,'    14> TSR    15> L1    16> L2',/,1X,3F10.4,/)                 MDGEDA   1912
 7200 FORMAT(/,'  GOVERNOR TYPE: 4',//,'      6> K1     7> T1'          MDGEDA   1913
     *,'     8> T2     9> T3  10> RMAX  11> RMIN 12>PMAX   ',/          MDGEDA   1914
     *,1X,6F10.4,F11.5,//,'     14> T4    15> T5    16> T6    17> T7'   MDGEDA   1915
     *,'    18> K2    19> K3    20> K4',/,1X,7F10.4,/)                  MDGEDA   1916
 7250 FORMAT(/,'  GOVERNOR TYPE: 5',//,'      6> K6     7> K7'          MDGEDA   1917
     *,'     8> K8',/,1X,3F10.4,/)                                      MDGEDA   1918
 7300 FORMAT(/,'  GOVERNOR TYPE: 6',//,'       6> R     7> T1'          MDGEDA   1919
     *,'     8> T2     9> T3   10> PFL  11> VMIN    12> DT',/           MDGEDA   1920
     *,1X,7F10.4,/)                                                     MDGEDA   1921
 7350 FORMAT(/,'  GOVERNOR TYPE: 7',//,'       6> R     7> T1'          MDGEDA   1922
     *,'     8> T2     9> T3   10> PFL  11> VMIN    12> DT   13> T4',/  MDGEDA   1923
     *,1X,7F10.4,F9.3,//,'     14> KT    15> LL',/,1X,2F10.4,/)         MDGEDA   1924
 7400 FORMAT(/,'  GOVERNOR TYPE: 8',//,'      6> K1     7> T1'          MDGEDA   1925
     *,'     8> T2     9> T3  10> PMAX  11> VMIN    12> T4   13> T5',/  MDGEDA   1926
     *,1X,7F10.4,F9.3,//,'     14> T6',/,1X,F10.4,/)                    MDGEDA   1927
 7450 FORMAT(/,'  GOVERNOR TYPE: 20',//,'      6> KS     7> RP'         MDGEDA   1928
     *,'     8> RT     9> TW    10> TR    11> TG   12> PFL 13> HEAD',/  MDGEDA   1929
     *,1X,7F10.4,F9.3,//,'    14> GFL   15> GNL  16> RMXO  17> RMXC'    MDGEDA   1930
     *,'   18> GBF  19> RBFC   20> DB1',/,1X,7F10.4,/)                  MDGEDA   1931
 7500 FORMAT(/,'  GOVERNOR TYPE: 21',//,'    6> PMAX      7> R'         MDGEDA   1932
     *,'     8> TG     9> TP    10> TD    11> DD  12> GMAX 13> GMIN',/  MDGEDA   1933
     *,1X,7F10.4,F9.3,//,'     14> TW  15> VELO  16> VELC',/            MDGEDA   1934
     *,1X,3F10.4,/)                                                     MDGEDA   1935
 7550 FORMAT(/,'  GOVERNOR TYPE: 22',//,'    6> PMAX      7> R'         MDGEDA   1936
     *,'     8> T1     9> T2    10> T3    11> T4  12> GMAX 13> GMIN',/  MDGEDA   1937
     *,1X,7F10.4,F9.3,//,'     14> TW    15> K1    16> K3',/            MDGEDA   1938
     *,1X,3F10.4,/)                                                     MDGEDA   1939
 8100 FORMAT(/,'     6> CFD   7> CRES',/,1X,2F10.4,/)                   MDGEDA   1940
 8150 FORMAT(/,'     6> CFD   7> CRES  8> NRES  9> EXP',/,1X,2F10.4     MDGEDA   1941
     *,I10,F10.4,/)                                                     MDGEDA   1942
 8160 FORMAT(//,                                                        MDGEDA   1943
     *9X,'REMOVAL OF GROUPS OF EXCITERS IN THE SYSTEM',/,               MDGEDA   1944
     *9X,'-------------------------------------------',//,              MDGEDA   1945
     *5X,'TYPE  NUMBER OF EXCITERS',T33,'TYPE  NUMBER OF EXCITERS',/,   MDGEDA   1946
     *8(6X,I2,8X,I4,T33,1X,I2,8X,I4,/),6X,I2,8X,I4,//,                  MDGEDA   1947
     *5X,'TOTAL NUMBER OF EXCITERS IN THE SYSTEM: ',I4,//)              MDGEDA   1948
 8170 FORMAT(//,                                                        MDGEDA   1949
     *11X,'REMOVAL OF GROUPS OF STABILIZERS IN THE SYSTEM',/,           MDGEDA   1950
     *11X,'----------------------------------------------',//,          MDGEDA   1951
     *5X,'TYPE  NUMBER OF STABILIZERS',T36,                             MDGEDA   1952
     *'TYPE  NUMBER OF STABILIZERS',/,                                  MDGEDA   1953
     *6(6X,I2,8X,I4,T36,1X,I2,8X,I4,/),/,                               MDGEDA   1954
     *5X,'TOTAL NUMBER OF STABILIZERS IN THE SYSTEM: ',I4,//)           MDGEDA   1955
 8180 FORMAT(//,                                                        MDGEDA   1956
     *10X,'REMOVAL OF GROUPS OF GOVERNORS IN THE SYSTEM',/,             MDGEDA   1957
     *10X,'--------------------------------------------',//,            MDGEDA   1958
     *5X,'TYPE  NUMBER OF GOVERNORS',T34,'TYPE  NUMBER OF GOVERNORS',/, MDGEDA   1959
     *5(6X,I2,8X,I4,T34,1X,I2,8X,I4,/),6X,I2,8X,I4,//,                  MDGEDA   1960
     *5X,'TOTAL NUMBER OF GOVERNORS IN THE SYSTEM: ',I4,//)             MDGEDA   1961
 8200 FORMAT(/,' THERE IS NO EXCITER REPRESENTED IN THE SYSTEM.',/)     MDGEDA   1962
 8210 FORMAT(/,' THERE IS NO STABILIZER REPRESENTED IN THE SYSTEM.',/)  MDGEDA   1963
 8220 FORMAT(/,' THERE IS NO GOVERNOR REPRESENTED IN THE SYSTEM.',/)    MDGEDA   1964
 8800 FORMAT(1X)                                                        MDGEDA   1965
      END                                                               MDGEDA   1966
